View Issue Details

IDProjectCategoryView StatusLast Update
0033665LazarusIDEpublic2018-06-19 10:08
Reportererrno Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
PlatformPCOSwindows 64 bits 
Product Version1.8.3 (SVN) 
Summary0033665: Exception EStringListError raised when clicking on "Run"
DescriptionThe ide raises an EStringListError exception with message "List index (0) out of bound" when debugging an application .
See screenshot.


The bug appeared in rev 57672 .
Steps To Reproduce-launch lazarus
-open a project
-click on "Run"
Additional InformationThe exception is raised only once .
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

errno

2018-04-29 11:56

reporter  

ScreenShot1.png (43,210 bytes)   
ScreenShot1.png (43,210 bytes)   

errno

2018-04-29 16:46

reporter  

SynCompletion.patch (485 bytes)   
Index: components/synedit/syncompletion.pas
===================================================================
--- components/synedit/syncompletion.pas	(r�vision 57742)
+++ components/synedit/syncompletion.pas	(copie de travail)
@@ -630,6 +630,7 @@
   FHintTimer := TTimer.Create(nil);
   FHintTimer.OnTimer := @OnHintTimer;
   FHintTimer.Interval := 0;
+  FHintTimer.Enabled := False;
   FLongLineHintTime := 0;
   FLongLineHintType := sclpExtendRightOnly;
   Visible := false;
SynCompletion.patch (485 bytes)   

errno

2018-04-29 16:46

reporter   ~0108066

Last edited: 2018-04-29 22:48

View 4 revisions

Patch added.
Made light modification to package synedit .


I have two desktop "default desktop" and "debug desktop" . In fact the bug happens when switching desktop .

Ondrej Pokorny

2018-05-03 08:41

developer   ~0108120

Could you please attach your settings file (environmentoptions.xml) here?

I cannot reproduce it with my settings (I use normal and debug desktop as well).

errno

2018-05-03 17:37

reporter  

environmentoptions.xml (90,183 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<CONFIG>
  <EnvironmentOptions>
    <Version Value="110" Lazarus="1.9.0"/>
    <Language ID="fr"/>
    <AutoSave LastSavedProjectFile="C:\utilew\Laz_Devel\bugs\env accents\TestEnv.lpi"/>
    <FormEditor SnapToGuideLines="False" ShowComponentCaptions="False">
      <Rubberband>
        <SelectionColor Value="8388608"/>
        <CreationColor Value="128"/>
      </Rubberband>
      <DesignerPaint>
        <Lazy Value="False"/>
      </DesignerPaint>
      <SwitchToFavoritesOITab Value="True"/>
    </FormEditor>
    <ShowCompileDialog Value="True"/>
    <AutoCloseCompileDialog Value="True"/>
    <LazarusDirectory Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus">
      <History Count="8">
        <Item1 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\"/>
        <Item2 Value="C:\utilew\lazarus182\"/>
        <Item3 Value="F:\autre\LazarusSVN\Lazarus\"/>
        <Item4 Value="C:\utilew\lazarus162\"/>
        <Item5 Value="C:\utilew\lazarus16\"/>
        <Item6 Value="C:\utilew\lazarus14\"/>
        <Item7 Value="C:\utilew\lazarus32\"/>
        <Item8 Value="C:\utilew\lazarus\"/>
      </History>
    </LazarusDirectory>
    <CompilerFilename Value="C:\utilew\lazarus182\fpc\3.0.4\bin\i386-win32\fpc.exe">
      <History Count="19">
        <Item1 Value="$(CompPath)"/>
        <Item2 Value="$(LazarusDir)fpc\$(FPCVer)\bin\i386-win32\fpc.exe"/>
        <Item3 Value="C:\test\FPC\2.6.4\bin\i386-win32\fpc.exe"/>
        <Item4 Value="$(LazarusDir)fpc\$(FPCVer)\bin\$(TargetCPU)-$(TargetOS)\fpc.exe"/>
        <Item5 Value="$(LazarusDir)fpc\$FPCVer()\bin\$(TargetCPU)-$(TargetOS)\fpcP.exe"/>
        <Item6 Value="$(LazarusDir)fpc\$FPCVer()\bin\$(TargetCPU)-$(TargetOS)\fpc.exe"/>
        <Item7 Value="$(LazarusDir)\fpc\$FPCVer()\bin\$(TargetCPU)-$(TargetOS)\fpc.exe"/>
        <Item8 Value="$(LazarusDir)\fpc\2.6.2\bin\$(TargetCPU)-$(TargetOS)\fpc.exe"/>
        <Item9 Value="$(LazarusDir)\fpc\2.6.2\bin\x86_64-win64\fpc.exe"/>
        <Item10 Value="C:\fpc\2.6.0\bin\x86_64-win64\fpc.exe"/>
        <Item11 Value="C:\utilew\lazarus\fpc\2.6.0\bin\x86_64-win64\fpc.exe"/>
        <Item12 Value="C:\utilew\lazarus\fpc\2.6.2\bin\x86_64-win64\fpc.exe"/>
        <Item13 Value="C:\utilew\lazarus32\fpc\2.6.2\bin\i386-win32\fpc.exe"/>
        <Item14 Value="C:\utilew\lazarus\fpc\2.6.2\bin\i386-win32\fpc.exe"/>
        <Item15 Value="C:\utilew\lazarus14\fpc\2.6.4\bin\i386-win32\fpc.exe"/>
        <Item16 Value="C:\utilew\lazarus\fpc\2.6.4\bin\i386-win32\fpc.exe"/>
        <Item17 Value="C:\utilew\lazarus16\fpc\3.0.0\bin\i386-win32\fpc.exe"/>
        <Item18 Value="C:\utilew\lazarus162\fpc\3.0.0\bin\i386-win32\fpc.exe"/>
        <Item19 Value="C:\utilew\lazarus182\fpc\3.0.4\bin\i386-win32\fpc.exe"/>
      </History>
    </CompilerFilename>
    <FPCSourceDirectory Value="$Path($(CompPath))\..\..\source">
      <History Count="4">
        <Item1 Value="$Path($(CompPath))\..\..\source"/>
        <Item2 Value="$(LazarusDir)fpc\$FPCVer()\source"/>
        <Item3 Value="$FPCSrcDir()"/>
        <Item4 Value="$(LazarusDir)fpc\$(FPCVer)\source"/>
      </History>
    </FPCSourceDirectory>
    <MakeFilename Value="$path($(comppath))make.exe">
      <History Count="10">
        <Item1 Value="$path($(comppath))make.exe"/>
        <Item2 Value="C:\test\FPC\2.6.4\bin\i386-win32\make.exe"/>
        <Item3 Value="$(LazarusDir)fpc\$(FPCVer)\bin\$(TargetCPU)-$(TargetOS)\make.exe"/>
        <Item4 Value="$(LazarusDir)fpc\$FPCVer()\bin\$(TargetCPU)-$(TargetOS)\make.exe"/>
        <Item5 Value="$(LazarusDir)\fpc\$FPCVer()\bin\$(TargetCPU)-$(TargetOS)\make.exe"/>
        <Item6 Value="$(LazarusDir)\fpc\2.6.2\bin\$(TargetCPU)-$(TargetOS)\make.exe"/>
        <Item7 Value="$(LazarusDir)\fpc\2.6.2\bin\x86_64-win64\make.exe"/>
        <Item8 Value="C:\utilew\lazarus\fpc\2.6.2\bin\x86_64-win64\make.exe"/>
        <Item9 Value="C:\fpc\2.6.0\bin\x86_64-win64\make.exe"/>
        <Item10 Value="C:\utilew\lazarus\fpc\2.6.0\bin\x86_64-win64\make.exe"/>
      </History>
    </MakeFilename>
    <TestBuildDirectory Value="$(LazarusDir)projets\">
      <History Count="5">
        <Item1 Value="$(LazarusDir)projets\"/>
        <Item2 Value="$(Home)AppData\Local\Temp\"/>
        <Item3 Value="C:\Users\olivier\AppData\Local\Temp\"/>
        <Item4 Value="C:\temp\"/>
        <Item5 Value="C:\windows\temp\"/>
      </History>
    </TestBuildDirectory>
    <CompilerMessagesFilename Value="C:\utilew\lazarus182\fpc\$(FPCVer)\msg\errorf.msg">
      <History Count="3">
        <Item1 Value="C:\utilew\lazarus182\fpc\$(FPCVer)\msg\errorf.msg"/>
        <Item2 Value="$(LazarusDir)fpc\$(FPCVer)\msg\errorf.msg"/>
        <Item3 Value="$(LazarusDir)fpc\$FPCVer()\msg\errorf.msg"/>
      </History>
    </CompilerMessagesFilename>
    <LastCalledByLazarusFullPath Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\lazarus.exe"/>
    <Build UseBuildModes="True"/>
    <CleanBuild PkgOut="False" PkgSrc="False"/>
    <Debugger Class="TGDBMIDebugger" EventLogLineLimit="100" EventLogShowBreakpoint="True" EventLogShowProcess="False" EventLogShowThread="False" EventLogShowDebugger="False">
      <WatchesDlg ColumnNameWidth="-1" ColumnValueWidth="-1"/>
      <CallStackDlg ViewCount="25"/>
    </Debugger>
    <DebuggerFilename Value="C:\utilew\lazarus182\mingw\$(TargetCPU)-$(TargetOS)\bin\gdb.exe">
      <History Count="5">
        <Item1 Value="C:\utilew\lazarus182\mingw\$(TargetCPU)-$(TargetOS)\bin\gdb.exe"/>
        <Item2 Value="$(LazarusDir)\mingw\$(TargetCPU)-$(TargetOS)\bin\gdb.exe"/>
        <Item3 Value="C:\utilew\lazarus16\\mingw\i386-win32\bin\gdb.exe"/>
        <Item4 Value="C:\utilew\lazarus16\\mingw\bin\gdb.exe"/>
        <Item5 Value="C:\lazarus\mingw\bin\gdb.exe"/>
      </History>
    </DebuggerFilename>
    <DebuggerOptions>
      <ShowStopMessage Value="False"/>
    </DebuggerOptions>
    <PackageEditorSortAlphabetically Value="True"/>
    <MsgViewDblClickJumps Value="True"/>
    <MsgView>
      <ShowTranslations Value="True"/>
    </MsgView>
    <ShowButtonGlyphs Value="0"/>
    <ShowMenuGlyphs Value="0"/>
    <Recent>
      <OpenFiles Max="20" Count="20">
        <Item1 Value="C:\Users\olivier\Documents\Lazarus\progr\paquets\mesUnites\LocSource.pas"/>
        <Item2 Value="C:\utilew\lazarus182\fpc\3.0.4\source\rtl\win\wininc\ascdef.inc"/>
        <Item3 Value="C:\utilew\lazarus182\fpc\3.0.4\source\packages\fcl-base\src\custapp.pp"/>
        <Item4 Value="C:\utilew\lazarus182\fpc\3.0.4\source\rtl\objpas\sysutils\osutilsh.inc"/>
        <Item5 Value="C:\utilew\lazarus182\fpc\3.0.4\source\rtl\win\sysutils.pp"/>
        <Item6 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\ide\sourceeditor.pp"/>
        <Item7 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\lcl\customtimer.pas"/>
        <Item8 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\components\synedit\syncompletion.pas"/>
        <Item9 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\lcl\interfaces\win32\win32callback.inc"/>
        <Item10 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\ide\include\ide.inc"/>
        <Item11 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\ide\main.pp"/>
        <Item12 Value="C:\Users\olivier\Documents\Lazarus\progr\paquets\mesUnites\UtilLaza.pas"/>
        <Item13 Value="C:\Program Files\Borland\Delphi4\asauver\composants\ConsoleCmd.pas"/>
        <Item14 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\components\codetools\codetools.lpk"/>
        <Item15 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\components\lazutils\winlazutf8.inc"/>
        <Item16 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\ide\project.pp"/>
        <Item17 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\components\ideintf\projectintf.pas"/>
        <Item18 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\components\lazdebuggergdbmi\gdbmidebugger.pp"/>
        <Item19 Value="C:\Program Files\Borland\Delphi4\asauver\composants\unites\dbugintf_.pas"/>
        <Item20 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\ide\runparamsopts.pas"/>
      </OpenFiles>
      <ProjectFiles Max="10" Count="9">
        <Item1 Value="C:\utilew\Laz_Devel\bugs\env accents\TestEnv.lpi"/>
        <Item2 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\ide\lazarus.lpi"/>
        <Item3 Value="C:\Program Files\Borland\Delphi4\asauver\PROGRAM\applications\DebugWin\GdebugLib.lpi"/>
        <Item4 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\projets\project1.lpi"/>
        <Item5 Value="C:\utilew\lazarus182\projets\project1.lpi"/>
        <Item6 Value="C:\utilew\lazarus182\ide\lazarus.lpi"/>
        <Item7 Value="C:\utilew\lazarus182\examples\gridexamples\cell_overflow\celloverflow_demo.lpi"/>
        <Item8 Value="C:\utilew\lazarus182\examples\gridexamples\columneditors\stringgrideditor.lpi"/>
        <Item9 Value="C:\utilew\lazarus182\examples\gridexamples\title_images\title_image_demo.lpi"/>
      </ProjectFiles>
      <PackageFiles Count="10">
        <Item1 Value="C:\Users\olivier\Documents\Lazarus\progr\paquets\mesUnites\unites.lpk"/>
        <Item2 Value="C:\Users\olivier\Documents\Lazarus\progr\paquets\mesUnites\unitesIde.lpk"/>
        <Item3 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\components\codetools\codetools.lpk"/>
        <Item4 Value="C:\utilew\Laz_Devel\LazarusSVN\Lazarus\components\lazdebuggergdbmi\lazdebuggergdbmi.lpk"/>
        <Item5 Value="C:\Users\olivier\Documents\Lazarus\progr\paquets\SVN\TortoiseSVN.lpk"/>
        <Item6 Value="C:\Users\olivier\Documents\Lazarus\progr\paquets\DropFileWin7\DropFileWin7.lpk"/>
        <Item7 Value="C:\Users\olivier\Documents\Lazarus\progr\paquets\debugger\DebuggerPersoGdb.lpk"/>
        <Item8 Value="C:\utilew\lazarus182\lcl\lclbase.lpk"/>
        <Item9 Value="C:\utilew\lazarus182\components\lazutils\lazutils.lpk"/>
        <Item10 Value="C:\utilew\lazarus182\packager\registration\fcl.lpk"/>
      </PackageFiles>
      <UseUnitDlg AllUnits="True"/>
    </Recent>
    <ExternalTools Version="3" Count="12">
      <Tool1>
        <Title Value="Test"/>
        <Filename Value="$prompt(     $(Delphi4)       )"/>
      </Tool1>
      <Tool2>
        <Title Value="&quot;Striper&quot; lazarus.exe"/>
        <Filename Value="$LazarusDir()fpc\$FPCVer()\bin\$TargetCPU()-$TargetOS()\strip.exe"/>
        <CmdLineParams Value="$LazarusDir()lazarus.exe"/>
      </Tool2>
      <Tool3>
        <Title Value="Supprimer lazarus.old.exe"/>
        <Filename Value="$LazarusDir()fpc\$FPCVer()\bin\$TargetCPU()-$TargetOS()\rm.exe"/>
        <CmdLineParams Value="$LazarusDir()lazarus.old.exe"/>
      </Tool3>
      <Tool4>
        <Title Value="Lazde"/>
        <Filename Value="$(Home)Documents\Lazarus\progr\doceditor\lazde.exe"/>
        <WorkingDirectory Value="$(Home)Documents\Lazarus\progr\doceditor\"/>
      </Tool4>
      <Tool5>
        <Title Value="Exécuter sans déboguer"/>
        <Filename Value="$TargetFile()"/>
        <CmdLineParams Value="$Params()"/>
        <WorkingDirectory Value="$Path($(TargetFile))"/>
      </Tool5>
      <Tool6>
        <Title Value="Exécuter"/>
        <Filename Value="$(lazarusDir)\execute.exe"/>
        <WorkingDirectory Value="$(lazarusDir)"/>
      </Tool6>
      <Tool7>
        <Title Value="Aide contenue"/>
        <Filename Value="C:\Windows\hh.exe"/>
        <CmdLineParams Value="$(home)Documents\Lazarus\doc_chm\Lazarus toc.chm"/>
        <HideWindow Value="False"/>
      </Tool7>
      <Tool8>
        <Title Value="Aide Windows SDK sur le mot"/>
        <Filename Value="$(Delphi4)asauver\PROGRAM\internet\Eclipse serveur aide\AideMot.exe"/>
        <CmdLineParams Value="$CurToken()"/>
      </Tool8>
      <Tool9>
        <Title Value="Aide lazarus perso"/>
        <Filename Value="winhlp32.exe"/>
        <CmdLineParams Value="&quot;$(Delphi4)asauver\PROGRAM\applications\aidewin\projets\Lazarus\LAZARUS.HLP&quot;"/>
      </Tool9>
      <Tool10>
        <Title Value="Aide gtk2"/>
        <Filename Value="$env(ProgramFiles(x86))\Opera\opera.exe"/>
        <CmdLineParams Value="&quot;$(home)Documents\Lazarus\gtk2.24\api-index-full.html&quot;"/>
      </Tool10>
      <Tool11>
        <Title Value="FreeVcs"/>
        <Filename Value="$(delphi4)asauver\PROGRAM\applications\FreeVcs\FreeVcsProject.exe"/>
      </Tool11>
      <Tool12>
        <Title Value="Compiler RTL"/>
        <Filename Value="$(Delphi4)asauver\PROGRAM\applications\Cmd fenêtre\WinCmdWin7.exe"/>
        <CmdLineParams Value="--title=compiler_le_RTL  --dir=$(home)Documents\Lazarus\progr   --cmdLine=makertl"/>
      </Tool12>
    </ExternalTools>
    <CharcaseFileAction Value="Ignore"/>
    <AmbiguousFileAction Value="Ignore"/>
    <AskForFilenameOnNewFile Value="True"/>
    <LowercaseDefaultFilename Value="False"/>
    <MultipleInstances Value="AlwaysStartNew"/>
    <LazDoc Paths="$(home)Documents\Lazarus\doc_chm\xml\modifiés\rtl;$(home)Documents\Lazarus\doc_chm\xml\modifiés\lcl;$(home)Documents\Lazarus\doc_chm\xml\modifiés\ideintf;$(home)Documents\Lazarus\doc_chm\xml\modifiés\codetool"/>
    <OptionDialog>
      <Tree>
        <TEditorOptions>
          <TEditorMouseOptionsFrame Value="False"/>
        </TEditorOptions>
        <THelpOptions Value="True"/>
      </Tree>
    </OptionDialog>
  </EnvironmentOptions>
  <BuildMatrix Count="1">
    <Item1 ID="663387836161" Modes="debug 64,otpimisé 64,optimisé 64,débogage 64 winxp,débogage64,optimisé64,debug64" Type="IDEMacro" MacroName="IdeBuildOptions" Value="-Si -O2   -g- -Xs  -Sa-  -OpATHLON64"/>
  </BuildMatrix>
  <ObjectInspectorOptions ShowStatusBar="False" InfoBoxHeight="42">
    <Version Value="3"/>
    <Bounds DefaultItemHeight="17">
      <PropertyPage SplitterX="159"/>
      <EventPage SplitterX="125"/>
      <FavoritePage SplitterX="116"/>
      <RestrictedPage SplitterX="126"/>
    </Bounds>
    <ComponentTree>
      <Height Value="151"/>
    </ComponentTree>
  </ObjectInspectorOptions>
  <Desktops Count="2" DebugDesktop="débogage" ActiveDesktop="défaut">
    <Desktop1 Name="défaut">
      <Desktop Version="2" FormIdCount="132">
        <FormIdList a1="MainIDE" a2="MessagesView" a3="FPDocEditor" a4="CodeExplorerView" a5="BreakPoints" a6="Watches" a7="ObjectInspectorDlg" a8="SourceNotebook" a9="IDETodoWindow" a10="PackageEditor_unites" a11="PackageEditor_unitesIde" a12="PkgGraphExplorer" a13="PackageEditor_CodeTools" a14="ProjectInspector" a15="PackageEditor_LazDebuggerGdbmi" a16="SearchResults" a17="PackageEditor_TortoiseSVN" a18="PackageEditor_DropFileWin7" a19="EditorFileManager" a20="PackageEditor_DebuggerPersoGdb" a21="PackageEditor_LCLBase" a22="ProjectGroupEditor" a23="SourceNotebook2" a24="PackageEditor_LazUtils" a25="PackageEditor_JediAPI" a26="PackageEditor_JclVcl" a27="PackageEditor_Compatibilite" a28="PackageEditor_FCL" a29="PackageEditor_TurboPowerIProDsgn" a30="PackageEditor_SynEditDsgn" a31="PackageEditor_DateTimeCtrls" a32="PackageEditor_RunTimeTypeInfoControls" a33="PackageEditor_SynEdit" a34="PackageEditor_pascalscript" a35="PackageEditor_TurboPowerIPro" a36="PackageEditor_DebuggerIntf" a37="PackageEditor_IDEIntf" a38="PackageEditor_Printer4Lazarus" a39="PackageEditor_LazControls" a40="PackageEditor_LCL" a41="PackageEditor_Jcl" a42="PackageEditor_SQLDBLaz" a43="PackageEditor_LazWiki" a44="PackageEditor_fpdebug" a45="PackageEditor_LazOpenGLContext" a46="PackageEditor_rx" a47="PackageEditor_ChmHelpPkg" a48="PackageEditor_DBFLaz" a49="PackageEditor_EditorMacroScript" a50="PackageEditor_fpcunitide" a51="PackageEditor_H2PasWizard" a52="PackageEditor_InstantFPCLaz" a53="PackageEditor_jcfidelazarus" a54="PackageEditor_LazControlDsgn" a55="PackageEditor_MemDSLaz" a56="PackageEditor_ProjTemplates" a57="PackageEditor_printers4lazide" a58="PackageEditor_TAChartLazarusPkg" a59="PackageEditor_ToDoListLaz" a60="PackageEditor_lazdatadict" a61="PackageEditor_lazdbexport" a62="PackageEditor_LazDebuggerFpGdbmi" a63="PackageEditor_lhelpcontrolpkg" a64="PackageEditor_lazprojectgroups" a65="PackageEditor_lazsvnpkg" a66="PackageEditor_Nouveau_paquet" a67="PackageEditor_cairocanvas_pkg" a68="CodeBrowser" a69="CallStack" a70="Threads" a71="Locals" a72="PackageEditor_Test" a73="PackageEditor_TestPkg" a74="JumpHistory" a75="PackageEditor_WMPLib_1_0_TLBP" a76="PackageEditor_gtk2forLazarus" a77="MacroListView" a78="IssueBrowser" a79="PackageEditor_DbugPkg" a80="PackageEditor_ExternHelp2" a81="DbgEvents" a82="AnchorEditor" a83="PackageEditor_ideMacros" a84="PackageEditor_customdrawn" a85="EvaluateModify" a86="DbgHistory" a87="ComponentList" a88="Assembler" a89="PackageEditor_LazActiveX" a90="PseudoTerminal" a91="Registers" a92="DbgOutput" a93="Inspect" a94="UnitDependencies" a95="ClipBrdHistory" a96="TabOrderEditor" a97="PackageEditor_lazreport" a98="AnchorDockSite8" a99="PackageEditor_MultiThreadProcsLaz" a100="TabOrderDialog" a101="PackageEditor_ImagesForLazarus" a102="PackageEditor_PrettyMessages" a103="EditorFileManagerForm" a104="PackageEditor_rtl" a105="PackageEditor_JCL1101" a106="PackageEditor_AnchorDocking" a107="PackageEditor_test" a108="PackageEditor_IdeAideHLP" a109="PackageEditor_JCL101" a110="PackageEditor_ExternHelp" a111="PackageEditor_DebugerDsgn" a112="PackageEditor_ide" a113="FloatingSite" a114="FloatingSite_1" a115="PackageEditor_Cody" a116="PackageEditor_______" a117="PackageEditor_JumpToImplementation" a118="PackageEditor_JCL" a119="PackageEditor_NouveauPaquet" a120="UnitDependenciesWindow" a121="PackageEditor_editortoolbar" a122="PackageEditor_leakview" a123="PackageEditor_weblaz" a124="PackageEditor_TestVariant" a125="PackageEditor_SDFLaz" a126="PackageEditor_AddonIde" a127="AnchorDockSite1" a128="PackageEditor_monLFMFormat" a129="PackageEditor_AXVLC_1_0_TLBP" a130="PackageEditor_FPCUnitTestRunner" a131="PackageEditor_sqlitelaz" a132="PackageEditor_sqlite3laz"/>
      </Desktop>
      <MainIDE>
        <Caption Value="MainIDE"/>
        <CustomPosition Left="-8" Top="-8" Width="1020" Height="78"/>
        <WindowState Value="Maximized"/>
        <Visible Value="True"/>
      </MainIDE>
      <MessagesView>
        <Caption Value="MessagesView"/>
        <CustomPosition Left="263" Top="583" Width="752" Height="157"/>
        <Visible Value="True"/>
      </MessagesView>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
        <CustomPosition Left="263" Top="583" Width="752" Height="157"/>
        <Visible Value="True"/>
      </FPDocEditor>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
        <CustomPosition Top="100" Width="254" Height="640"/>
        <Visible Value="True"/>
      </CodeExplorerView>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
        <CustomPosition Left="263" Top="583" Width="752" Height="157"/>
        <Visible Value="True"/>
        <Divider Count="6">
          <Item0 ID="ColumnBreakLine" Size="103"/>
          <Item1 ID="ColumnBreakCondition" Size="116"/>
          <Item2 ID="ColumnBreakAction" Size="153"/>
          <Item3 ID="ColumnBreakPassCnt" Size="121"/>
          <Item4 ID="ColumnBreakState" Size="79"/>
          <Item5 ID="ColumnBreakFile" Size="495"/>
        </Divider>
      </BreakPoints>
      <Watches>
        <Caption Value="Watches"/>
        <CustomPosition Left="263" Top="583" Width="752" Height="157"/>
        <Visible Value="True"/>
        <Divider Count="3">
          <Item0 ID="SplitterWatchInspect" Size="438"/>
          <Item1 ID="ColumnWatchValue" Size="862"/>
          <Item2 ID="ColumnWatchExpr" Size="127"/>
        </Divider>
      </Watches>
      <ObjectInspectorDlg>
        <Caption Value="ObjectInspectorDlg"/>
        <CustomPosition Top="100" Width="254" Height="640"/>
        <Visible Value="True"/>
      </ObjectInspectorDlg>
      <SourceNotebook>
        <Caption Value="SourceNotebook"/>
        <CustomPosition Left="263" Top="100" Width="752" Height="455"/>
      </SourceNotebook>
      <IDETodoWindow>
        <Caption Value="IDETodoWindow"/>
        <CustomPosition Left="65" Top="238" Width="719" Height="396"/>
      </IDETodoWindow>
      <PackageEditor_unites>
        <Caption Value="PackageEditor_unites"/>
        <CustomPosition Left="127" Top="140" Width="673" Height="526"/>
      </PackageEditor_unites>
      <PackageEditor_unitesIde>
        <Caption Value="PackageEditor_unitesIde"/>
        <CustomPosition Left="34" Top="10" Width="514" Height="451"/>
      </PackageEditor_unitesIde>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
        <WindowState Value="Maximized"/>
      </PkgGraphExplorer>
      <PackageEditor_CodeTools>
        <Caption Value="PackageEditor_CodeTools"/>
        <CustomPosition Left="11" Top="70" Width="630" Height="588"/>
      </PackageEditor_CodeTools>
      <ProjectInspector>
        <Caption Value="ProjectInspector"/>
        <CustomPosition Left="63" Top="316" Width="484" Height="311"/>
      </ProjectInspector>
      <PackageEditor_LazDebuggerGdbmi>
        <Caption Value="PackageEditor_LazDebuggerGdbmi"/>
        <CustomPosition Left="86" Top="92" Width="544" Height="496"/>
      </PackageEditor_LazDebuggerGdbmi>
      <SearchResults>
        <Caption Value="SearchResults"/>
        <CustomPosition Left="47" Top="164" Width="894" Height="544"/>
      </SearchResults>
      <PackageEditor_TortoiseSVN>
        <Caption Value="PackageEditor_TortoiseSVN"/>
        <CustomPosition Left="16" Top="159" Width="556" Height="457"/>
      </PackageEditor_TortoiseSVN>
      <PackageEditor_DropFileWin7>
        <Caption Value="PackageEditor_DropFileWin7"/>
        <CustomPosition Left="26" Top="156" Width="672" Height="523"/>
      </PackageEditor_DropFileWin7>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
        <CustomPosition Left="200" Top="200" Width="722" Height="380"/>
      </EditorFileManager>
      <PackageEditor_DebuggerPersoGdb>
        <Caption Value="PackageEditor_DebuggerPersoGdb"/>
        <CustomPosition Left="48" Top="200" Width="497" Height="456"/>
        <WindowState Value="Minimized"/>
      </PackageEditor_DebuggerPersoGdb>
      <PackageEditor_LCLBase>
        <Caption Value="PackageEditor_LCLBase"/>
        <CustomPosition Left="50" Top="145" Width="549" Height="476"/>
      </PackageEditor_LCLBase>
      <ProjectGroupEditor>
        <Caption Value="ProjectGroupEditor"/>
        <CustomPosition Left="22" Top="343" Width="386" Height="329"/>
      </ProjectGroupEditor>
      <SourceNotebook2>
        <Caption Value="SourceNotebook2"/>
        <CustomPosition Left="315" Top="101" Width="693" Height="477"/>
      </SourceNotebook2>
      <PackageEditor_LazUtils>
        <Caption Value="PackageEditor_LazUtils"/>
        <CustomPosition Left="75" Top="93" Width="624" Height="580"/>
      </PackageEditor_LazUtils>
      <PackageEditor_JediAPI>
        <Caption Value="PackageEditor_JediAPI"/>
        <CustomPosition Left="70" Top="80" Width="566" Height="483"/>
      </PackageEditor_JediAPI>
      <PackageEditor_JclVcl>
        <Caption Value="PackageEditor_JclVcl"/>
        <CustomPosition Left="82" Top="72" Width="580" Height="483"/>
      </PackageEditor_JclVcl>
      <PackageEditor_Compatibilite>
        <Caption Value="PackageEditor_Compatibilite"/>
        <CustomPosition Left="251" Top="102" Width="451" Height="455"/>
      </PackageEditor_Compatibilite>
      <PackageEditor_FCL>
        <Caption Value="PackageEditor_FCL"/>
        <CustomPosition Left="45" Top="93" Width="602" Height="487"/>
      </PackageEditor_FCL>
      <PackageEditor_TurboPowerIProDsgn>
        <Caption Value="PackageEditor_TurboPowerIProDsgn"/>
        <CustomPosition Left="250" Top="200" Width="464" Height="455"/>
      </PackageEditor_TurboPowerIProDsgn>
      <PackageEditor_SynEditDsgn>
        <Caption Value="PackageEditor_SynEditDsgn"/>
        <CustomPosition Left="146" Top="159" Width="464" Height="455"/>
      </PackageEditor_SynEditDsgn>
      <PackageEditor_DateTimeCtrls>
        <Caption Value="PackageEditor_DateTimeCtrls"/>
        <CustomPosition Left="254" Top="96" Width="487" Height="556"/>
      </PackageEditor_DateTimeCtrls>
      <PackageEditor_RunTimeTypeInfoControls>
        <Caption Value="PackageEditor_RunTimeTypeInfoControls"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_RunTimeTypeInfoControls>
      <PackageEditor_SynEdit>
        <Caption Value="PackageEditor_SynEdit"/>
        <CustomPosition Left="150" Top="97" Width="451" Height="455"/>
      </PackageEditor_SynEdit>
      <PackageEditor_pascalscript>
        <Caption Value="PackageEditor_pascalscript"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_pascalscript>
      <PackageEditor_TurboPowerIPro>
        <Caption Value="PackageEditor_TurboPowerIPro"/>
        <CustomPosition Left="173" Top="158" Width="451" Height="455"/>
      </PackageEditor_TurboPowerIPro>
      <PackageEditor_DebuggerIntf>
        <Caption Value="PackageEditor_DebuggerIntf"/>
        <CustomPosition Left="89" Top="140" Width="451" Height="455"/>
      </PackageEditor_DebuggerIntf>
      <PackageEditor_IDEIntf>
        <Caption Value="PackageEditor_IDEIntf"/>
        <CustomPosition Left="44" Top="231" Width="451" Height="455"/>
      </PackageEditor_IDEIntf>
      <PackageEditor_Printer4Lazarus>
        <Caption Value="PackageEditor_Printer4Lazarus"/>
        <CustomPosition Left="56" Top="50" Width="648" Height="515"/>
      </PackageEditor_Printer4Lazarus>
      <PackageEditor_LazControls>
        <Caption Value="PackageEditor_LazControls"/>
        <CustomPosition Left="95" Top="113" Width="451" Height="455"/>
      </PackageEditor_LazControls>
      <PackageEditor_LCL>
        <Caption Value="PackageEditor_LCL"/>
        <CustomPosition Left="90" Top="89" Width="631" Height="438"/>
      </PackageEditor_LCL>
      <PackageEditor_Jcl>
        <Caption Value="PackageEditor_Jcl"/>
        <CustomPosition Left="149" Top="207" Width="554" Height="433"/>
      </PackageEditor_Jcl>
      <PackageEditor_SQLDBLaz>
        <Caption Value="PackageEditor_SQLDBLaz"/>
        <CustomPosition Left="18" Top="142" Width="526" Height="525"/>
      </PackageEditor_SQLDBLaz>
      <PackageEditor_LazWiki>
        <Caption Value="PackageEditor_LazWiki"/>
        <CustomPosition Left="250" Top="200" Width="464" Height="455"/>
      </PackageEditor_LazWiki>
      <PackageEditor_fpdebug>
        <Caption Value="PackageEditor_fpdebug"/>
        <CustomPosition Left="28" Top="132" Width="570" Height="550"/>
      </PackageEditor_fpdebug>
      <PackageEditor_LazOpenGLContext>
        <Caption Value="PackageEditor_LazOpenGLContext"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_LazOpenGLContext>
      <PackageEditor_rx>
        <Caption Value="PackageEditor_rx"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_rx>
      <PackageEditor_ChmHelpPkg>
        <Caption Value="PackageEditor_ChmHelpPkg"/>
        <CustomPosition Left="286" Top="156" Width="578" Height="466"/>
      </PackageEditor_ChmHelpPkg>
      <PackageEditor_DBFLaz>
        <Caption Value="PackageEditor_DBFLaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_DBFLaz>
      <PackageEditor_EditorMacroScript>
        <Caption Value="PackageEditor_EditorMacroScript"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_EditorMacroScript>
      <PackageEditor_fpcunitide>
        <Caption Value="PackageEditor_fpcunitide"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_fpcunitide>
      <PackageEditor_H2PasWizard>
        <Caption Value="PackageEditor_H2PasWizard"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_H2PasWizard>
      <PackageEditor_InstantFPCLaz>
        <Caption Value="PackageEditor_InstantFPCLaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_InstantFPCLaz>
      <PackageEditor_jcfidelazarus>
        <Caption Value="PackageEditor_jcfidelazarus"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_jcfidelazarus>
      <PackageEditor_LazControlDsgn>
        <Caption Value="PackageEditor_LazControlDsgn"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_LazControlDsgn>
      <PackageEditor_MemDSLaz>
        <Caption Value="PackageEditor_MemDSLaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_MemDSLaz>
      <PackageEditor_ProjTemplates>
        <Caption Value="PackageEditor_ProjTemplates"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_ProjTemplates>
      <PackageEditor_printers4lazide>
        <Caption Value="PackageEditor_printers4lazide"/>
        <CustomPosition Left="109" Top="174" Width="451" Height="455"/>
      </PackageEditor_printers4lazide>
      <PackageEditor_TAChartLazarusPkg>
        <Caption Value="PackageEditor_TAChartLazarusPkg"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_TAChartLazarusPkg>
      <PackageEditor_ToDoListLaz>
        <Caption Value="PackageEditor_ToDoListLaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_ToDoListLaz>
      <PackageEditor_lazdatadict>
        <Caption Value="PackageEditor_lazdatadict"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_lazdatadict>
      <PackageEditor_lazdbexport>
        <Caption Value="PackageEditor_lazdbexport"/>
        <CustomPosition Left="250" Top="200" Width="464" Height="455"/>
      </PackageEditor_lazdbexport>
      <PackageEditor_LazDebuggerFpGdbmi>
        <Caption Value="PackageEditor_LazDebuggerFpGdbmi"/>
        <CustomPosition Left="31" Top="250" Width="451" Height="455"/>
      </PackageEditor_LazDebuggerFpGdbmi>
      <PackageEditor_lhelpcontrolpkg>
        <Caption Value="PackageEditor_lhelpcontrolpkg"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_lhelpcontrolpkg>
      <PackageEditor_lazprojectgroups>
        <Caption Value="PackageEditor_lazprojectgroups"/>
        <CustomPosition Left="205" Top="102" Width="464" Height="455"/>
      </PackageEditor_lazprojectgroups>
      <PackageEditor_lazsvnpkg>
        <Caption Value="PackageEditor_lazsvnpkg"/>
        <CustomPosition Left="56" Top="147" Width="545" Height="537"/>
      </PackageEditor_lazsvnpkg>
      <PackageEditor_Nouveau_paquet>
        <Caption Value="PackageEditor_Nouveau_paquet"/>
        <CustomPosition Left="110" Top="159" Width="451" Height="455"/>
      </PackageEditor_Nouveau_paquet>
      <PackageEditor_cairocanvas_pkg>
        <Caption Value="PackageEditor_cairocanvas_pkg"/>
        <CustomPosition Left="140" Top="121" Width="451" Height="455"/>
      </PackageEditor_cairocanvas_pkg>
      <CodeBrowser>
        <Caption Value="CodeBrowser"/>
        <CustomPosition Left="18" Top="105" Width="637" Height="569"/>
      </CodeBrowser>
      <CallStack>
        <Caption Value="CallStack"/>
        <CustomPosition Left="48" Top="456" Width="952" Height="251"/>
        <Divider Count="3">
          <Item0 ID="ColumnCStackLine" Size="88"/>
          <Item1 ID="ColumnCStackSource" Size="367"/>
          <Item2 ID="ColumnCStackFunc" Size="456"/>
        </Divider>
      </CallStack>
      <Threads>
        <Caption Value="Threads"/>
        <CustomPosition Left="115" Top="234" Width="812" Height="405"/>
        <Divider Count="3">
          <Item0 ID="ColumnThreadName" Size="149"/>
          <Item1 ID="ColumnThreadState" Size="109"/>
          <Item2 ID="ColumnThreadBrkPoint" Size="0"/>
        </Divider>
      </Threads>
      <Locals>
        <Caption Value="Locals"/>
        <CustomPosition Left="15" Top="517" Width="500" Height="200"/>
        <Divider Count="2">
          <Item0 ID="LocalsValue" Size="256"/>
          <Item1 ID="LocalsName" Size="196"/>
        </Divider>
      </Locals>
      <PackageEditor_Test>
        <Caption Value="PackageEditor_Test"/>
        <CustomPosition Left="92" Top="71" Width="530" Height="529"/>
      </PackageEditor_Test>
      <PackageEditor_TestPkg>
        <Caption Value="PackageEditor_TestPkg"/>
        <CustomPosition Left="67" Top="177" Width="464" Height="455"/>
      </PackageEditor_TestPkg>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
        <CustomPosition Left="165" Top="205" Width="400" Height="426"/>
      </JumpHistory>
      <PackageEditor_WMPLib_1_0_TLBP>
        <Caption Value="PackageEditor_WMPLib_1_0_TLBP"/>
        <CustomPosition Left="53" Top="195" Width="487" Height="483"/>
      </PackageEditor_WMPLib_1_0_TLBP>
      <PackageEditor_gtk2forLazarus>
        <Caption Value="PackageEditor_gtk2forLazarus"/>
        <CustomPosition Left="104" Top="183" Width="579" Height="455"/>
      </PackageEditor_gtk2forLazarus>
      <MacroListView>
        <Caption Value="MacroListView"/>
        <CustomPosition Left="5" Top="255" Width="318" Height="383"/>
      </MacroListView>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
        <CustomPosition Left="321" Top="269" Width="661" Height="405"/>
      </IssueBrowser>
      <PackageEditor_DbugPkg>
        <Caption Value="PackageEditor_DbugPkg"/>
        <CustomPosition Left="78" Top="156" Width="592" Height="522"/>
      </PackageEditor_DbugPkg>
      <PackageEditor_ExternHelp2>
        <Caption Value="PackageEditor_ExternHelp2"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_ExternHelp2>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
        <CustomPosition Left="30" Top="479" Width="656" Height="207"/>
      </DbgEvents>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
        <CustomPosition Left="431" Top="392" Width="476" Height="282"/>
      </AnchorEditor>
      <PackageEditor_ideMacros>
        <Caption Value="PackageEditor_ideMacros"/>
        <CustomPosition Left="18" Top="206" Width="464" Height="455"/>
      </PackageEditor_ideMacros>
      <PackageEditor_customdrawn>
        <Caption Value="PackageEditor_customdrawn"/>
        <CustomPosition Left="250" Top="200" Width="464" Height="455"/>
      </PackageEditor_customdrawn>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
        <CustomPosition Left="350" Top="350" Width="421" Height="280"/>
      </EvaluateModify>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
        <CustomPosition Left="17" Top="505" Width="797" Height="169"/>
        <Divider Count="3">
          <Item0 ID="HistoryColLocation" Size="350"/>
          <Item1 ID="HistoryColTime" Size="0"/>
          <Item2 ID="HistoryColCur" Size="0"/>
        </Divider>
      </DbgHistory>
      <ComponentList>
        <Caption Value="ComponentList"/>
        <CustomPosition Left="256" Top="95" Width="512" Height="578"/>
      </ComponentList>
      <Assembler>
        <Caption Value="Assembler"/>
        <CustomPosition Left="28" Top="442" Width="640" Height="251"/>
      </Assembler>
      <PackageEditor_LazActiveX>
        <Caption Value="PackageEditor_LazActiveX"/>
        <CustomPosition Left="51" Top="194" Width="464" Height="455"/>
      </PackageEditor_LazActiveX>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
      </PseudoTerminal>
      <Registers>
        <Caption Value="Registers"/>
        <CustomPosition Left="8" Top="398" Width="575" Height="308"/>
        <Divider Count="2">
          <Item0 ID="RegisterValue" Size="336"/>
          <Item1 ID="RegisterName" Size="158"/>
        </Divider>
      </Registers>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
        <CustomPosition Left="149" Top="180" Width="668" Height="482"/>
      </DbgOutput>
      <Inspect>
        <Caption Value="Inspect"/>
        <CustomPosition Left="115" Top="57" Width="617" Height="614"/>
        <Divider Count="2">
          <Item0 ID="InspectDataName" Size="167"/>
          <Item1 ID="InspectDataClass" Size="120"/>
        </Divider>
      </Inspect>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
        <CustomPosition Left="118" Top="213" Width="564" Height="478"/>
      </UnitDependencies>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
      </ClipBrdHistory>
      <TabOrderEditor>
        <Caption Value="TabOrderEditor"/>
      </TabOrderEditor>
      <PackageEditor_lazreport>
        <Caption Value="PackageEditor_lazreport"/>
        <CustomPosition Left="220" Top="92" Width="584" Height="583"/>
      </PackageEditor_lazreport>
      <AnchorDockSite8>
        <Caption Value="AnchorDockSite8"/>
        <CustomPosition Left="4" Top="134" Width="257" Height="626"/>
      </AnchorDockSite8>
      <PackageEditor_MultiThreadProcsLaz>
        <Caption Value="PackageEditor_MultiThreadProcsLaz"/>
        <CustomPosition Left="321" Top="170" Width="464" Height="455"/>
      </PackageEditor_MultiThreadProcsLaz>
      <TabOrderDialog>
        <Caption Value="TabOrderDialog"/>
        <CustomPosition Left="350" Top="105" Width="310" Height="266"/>
      </TabOrderDialog>
      <PackageEditor_ImagesForLazarus>
        <Caption Value="PackageEditor_ImagesForLazarus"/>
        <CustomPosition Left="151" Top="151" Width="464" Height="455"/>
      </PackageEditor_ImagesForLazarus>
      <PackageEditor_PrettyMessages>
        <Caption Value="PackageEditor_PrettyMessages"/>
        <CustomPosition Left="44" Top="231" Width="464" Height="455"/>
      </PackageEditor_PrettyMessages>
      <EditorFileManagerForm>
        <Caption Value="EditorFileManagerForm"/>
        <CustomPosition Left="74" Top="194" Width="875" Height="380"/>
      </EditorFileManagerForm>
      <PackageEditor_rtl>
        <Caption Value="PackageEditor_rtl"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_rtl>
      <PackageEditor_JCL1101>
        <Caption Value="PackageEditor_JCL1101"/>
        <CustomPosition Left="333" Top="137" Width="563" Height="489"/>
      </PackageEditor_JCL1101>
      <PackageEditor_AnchorDocking>
        <Caption Value="PackageEditor_AnchorDocking"/>
        <CustomPosition Left="157" Top="156" Width="451" Height="455"/>
      </PackageEditor_AnchorDocking>
      <PackageEditor_test>
        <Caption Value="PackageEditor_test"/>
        <CustomPosition Left="284" Top="155" Width="455" Height="458"/>
      </PackageEditor_test>
      <PackageEditor_IdeAideHLP>
        <Caption Value="PackageEditor_IdeAideHLP"/>
        <CustomPosition Left="11" Top="183" Width="464" Height="455"/>
        <WindowState Value="Minimized"/>
      </PackageEditor_IdeAideHLP>
      <PackageEditor_JCL101>
        <Caption Value="PackageEditor_JCL101"/>
        <CustomPosition Left="36" Top="96" Width="648" Height="523"/>
      </PackageEditor_JCL101>
      <PackageEditor_ExternHelp>
        <Caption Value="PackageEditor_ExternHelp"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_ExternHelp>
      <PackageEditor_DebugerDsgn>
        <Caption Value="PackageEditor_DebugerDsgn"/>
        <CustomPosition Left="103" Top="184" Width="464" Height="455"/>
      </PackageEditor_DebugerDsgn>
      <PackageEditor_ide>
        <Caption Value="PackageEditor_ide"/>
        <CustomPosition Left="168" Top="132" Width="688" Height="503"/>
      </PackageEditor_ide>
      <FloatingSite>
        <Caption Value="FloatingSite"/>
        <CustomPosition Left="278" Top="112" Width="736" Height="632"/>
      </FloatingSite>
      <FloatingSite_1>
        <Caption Value="FloatingSite_1"/>
        <CustomPosition Left="-16" Top="121" Width="284" Height="635"/>
      </FloatingSite_1>
      <PackageEditor_Cody>
        <Caption Value="PackageEditor_Cody"/>
        <CustomPosition Left="84" Top="159" Width="454" Height="455"/>
      </PackageEditor_Cody>
      <PackageEditor_______>
        <Caption Value="PackageEditor_______"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_______>
      <PackageEditor_JumpToImplementation>
        <Caption Value="PackageEditor_JumpToImplementation"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_JumpToImplementation>
      <PackageEditor_JCL>
        <Caption Value="PackageEditor_JCL"/>
        <CustomPosition Left="376" Top="114" Width="576" Height="564"/>
      </PackageEditor_JCL>
      <PackageEditor_NouveauPaquet>
        <Caption Value="PackageEditor_NouveauPaquet"/>
        <CustomPosition Left="106" Top="116" Width="579" Height="443"/>
      </PackageEditor_NouveauPaquet>
      <UnitDependenciesWindow>
        <Caption Value="UnitDependenciesWindow"/>
        <CustomPosition Left="117" Top="42" Width="779" Height="634"/>
      </UnitDependenciesWindow>
      <PackageEditor_editortoolbar>
        <Caption Value="PackageEditor_editortoolbar"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_editortoolbar>
      <PackageEditor_leakview>
        <Caption Value="PackageEditor_leakview"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_leakview>
      <PackageEditor_weblaz>
        <Caption Value="PackageEditor_weblaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_weblaz>
      <PackageEditor_TestVariant>
        <Caption Value="PackageEditor_TestVariant"/>
        <CustomPosition Left="284" Top="230" Width="451" Height="455"/>
      </PackageEditor_TestVariant>
      <PackageEditor_SDFLaz>
        <Caption Value="PackageEditor_SDFLaz"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_SDFLaz>
      <PackageEditor_AddonIde>
        <Caption Value="PackageEditor_AddonIde"/>
        <CustomPosition Left="69" Top="165" Width="451" Height="455"/>
      </PackageEditor_AddonIde>
      <AnchorDockSite1>
        <Caption Value="AnchorDockSite1"/>
        <CustomPosition Left="498" Top="107" Width="771" Height="474"/>
      </AnchorDockSite1>
      <PackageEditor_monLFMFormat>
        <Caption Value="PackageEditor_monLFMFormat"/>
        <CustomPosition Left="120" Top="140" Width="451" Height="455"/>
      </PackageEditor_monLFMFormat>
      <PackageEditor_AXVLC_1_0_TLBP>
        <Caption Value="PackageEditor_AXVLC_1_0_TLBP"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="477"/>
      </PackageEditor_AXVLC_1_0_TLBP>
      <PackageEditor_FPCUnitTestRunner>
        <Caption Value="PackageEditor_FPCUnitTestRunner"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_FPCUnitTestRunner>
      <PackageEditor_sqlitelaz>
        <Caption Value="PackageEditor_sqlitelaz"/>
        <CustomPosition Left="123" Top="87" Width="491" Height="506"/>
      </PackageEditor_sqlitelaz>
      <PackageEditor_sqlite3laz>
        <Caption Value="PackageEditor_sqlite3laz"/>
        <CustomPosition Left="372" Top="154" Width="470" Height="487"/>
      </PackageEditor_sqlite3laz>
      <Dialogs Count="38">
        <Dialog1>
          <Name Value="TLazFindInFilesDialog"/>
          <Size Width="609" Height="484"/>
        </Dialog1>
        <Dialog2>
          <Name Value="TLazFindReplaceDialog"/>
          <Size Width="487" Height="402"/>
        </Dialog2>
        <Dialog3>
          <Name Value="TConfigureBuildLazarusDlg"/>
          <Size Width="733" Height="577"/>
        </Dialog3>
        <Dialog4>
          <Name Value="TManageExamplesForm"/>
          <Size Width="885" Height="521"/>
        </Dialog4>
        <Dialog5>
          <Name Value="TIDEOptionsDialog"/>
          <Size Width="890" Height="566"/>
        </Dialog5>
        <Dialog6>
          <Name Value="TAddToProjectDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog6>
        <Dialog7>
          <Name Value="TViewUnitDialog"/>
          <Size Width="499" Height="383"/>
        </Dialog7>
        <Dialog8>
          <Name Value="THelpSelectorDialog"/>
          <Size Width="825" Height="308"/>
        </Dialog8>
        <Dialog9>
          <Name Value="TAddToPackageDlg"/>
          <Size Width="627" Height="343"/>
        </Dialog9>
        <Dialog10>
          <Name Value="TShortCutDialog"/>
          <Size Width="427" Height="226"/>
        </Dialog10>
        <Dialog11>
          <Name Value="TFindRenameIdentifierDialog"/>
          <Size Width="467" Height="499"/>
        </Dialog11>
        <Dialog12>
          <Name Value="TNewOtherDialog"/>
          <Size Width="725" Height="527"/>
        </Dialog12>
        <Dialog13>
          <Name Value="TCodeTemplateDialog"/>
          <Size Width="626" Height="574"/>
        </Dialog13>
        <Dialog14>
          <Name Value="TCodeToolsDefinesEditor"/>
          <Size Width="607" Height="409"/>
        </Dialog14>
        <Dialog15>
          <Name Value="TPPUListDialog"/>
          <Size Width="862" Height="585"/>
        </Dialog15>
        <Dialog16>
          <Name Value="TPublishProjectDialog"/>
          <Size Width="500" Height="500"/>
        </Dialog16>
        <Dialog17>
          <Name Value="TCodeMacroSelectDlg"/>
          <Size Width="623" Height="431"/>
        </Dialog17>
        <Dialog18>
          <Name Value="TDiffDlg"/>
          <Size Width="833" Height="619"/>
        </Dialog18>
        <Dialog19>
          <Name Value="TEvaluateDlg"/>
          <Size Width="421" Height="280"/>
        </Dialog19>
        <Dialog20>
          <Name Value="TAddFileToAPackageDialog"/>
          <Size Width="448" Height="280"/>
        </Dialog20>
        <Dialog21>
          <Name Value="TSortSelectionDialog"/>
          <Size Width="600" Height="450"/>
        </Dialog21>
        <Dialog22>
          <Name Value="TCleanDirectoryDialog"/>
          <Size Width="381" Height="342"/>
        </Dialog22>
        <Dialog23>
          <Name Value="TCodeToolsDefinesDialog"/>
          <Size Width="654" Height="563"/>
        </Dialog23>
        <Dialog24>
          <Name Value="TIDEInspectDlg"/>
          <Size Width="617" Height="614"/>
        </Dialog24>
        <Dialog25>
          <Name Value="TSelectPropertiesForm"/>
          <Size Width="485" Height="460"/>
        </Dialog25>
        <Dialog26>
          <Name Value="TChgEncodingDialog"/>
          <Size Width="683" Height="560"/>
        </Dialog26>
        <Dialog27>
          <Name Value="TIDEFPCInfoDialog"/>
          <Size Width="786" Height="636"/>
        </Dialog27>
        <Dialog28>
          <Name Value="TIDEInfoNeedBuildDlg"/>
          <Size Width="555" Height="434"/>
        </Dialog28>
        <Dialog29>
          <Name Value="TIDEInfoDialog"/>
          <Size Width="735" Height="579"/>
        </Dialog29>
        <Dialog30>
          <Name Value="TBrokenDependenciesDialog"/>
          <Size Width="729" Height="300"/>
        </Dialog30>
        <Dialog31>
          <Name Value="TAddDirToPkgDialog"/>
          <Size Width="454" Height="348"/>
        </Dialog31>
        <Dialog32>
          <Name Value="TOpenLoadedPackagesDlg"/>
          <Size Width="613" Height="539"/>
        </Dialog32>
        <Dialog33>
          <Name Value="TExampleManagerForm"/>
          <Size Width="870" Height="591"/>
        </Dialog33>
        <Dialog34>
          <Name Value="TCheckLFMDialog"/>
          <Size Width="600" Height="400"/>
        </Dialog34>
        <Dialog35>
          <Name Value="TInstallPkgSetDialog"/>
          <Size Width="716" Height="678"/>
        </Dialog35>
        <Dialog36>
          <Name Value="TAddPkgDependencyDialog"/>
          <Size Width="488" Height="429"/>
        </Dialog36>
        <Dialog37>
          <Name Value="TUseUnitDialog"/>
          <Size Width="500" Height="460"/>
        </Dialog37>
        <Dialog38>
          <Name Value="TCollectionPropertyEditorForm"/>
          <Size Width="190" Height="300"/>
        </Dialog38>
      </Dialogs>
      <IDETitleStartsWithProject Value="True"/>
      <IDETitleIncludesBuildMode Value="True"/>
      <IDEProjectDirectoryInIdeTitle Value="True"/>
      <CompletionWindowWidth Value="373"/>
      <CompletionWindowHeight Value="11"/>
      <IDECoolBarOptions Count="2">
        <Width Value="265"/>
        <ToolBar1 Version="1" Count="12">
          <Button1 Name="Save"/>
          <Button2 Name="SaveAll"/>
          <Button3 Name="---------------"/>
          <Button4 Name="Toggle between Unit and Form"/>
          <Button5 Name="---------------"/>
          <Button6 Name="Manage desktops"/>
          <Button7 Name="---------------"/>
          <Button8 Name="Undo"/>
          <Button9 Name="Redo"/>
          <Button10 Name="Copy selection to clipboard"/>
          <Button11 Name="Cut selection to clipboard"/>
          <Button12 Name="Paste clipboard to current position"/>
        </ToolBar1>
        <ToolBar2 Version="1" Count="11">
          <Break Value="True"/>
          <Button1 Name="View Units"/>
          <Button2 Name="View Forms"/>
          <Button3 Name="---------------"/>
          <Button4 Name="Change build mode"/>
          <Button5 Name="Run program"/>
          <Button6 Name="Run without debugging"/>
          <Button7 Name="Pause program"/>
          <Button8 Name="Stop program"/>
          <Button9 Name="Step over"/>
          <Button10 Name="Step into"/>
          <Button11 Name="Step out"/>
        </ToolBar2>
      </IDECoolBarOptions>
      <EditorToolBarOptions Version="1" Count="30">
        <Button1 Name="Jump to Implementation"/>
        <Button2 Name="Syntax check"/>
        <Button3 Name="Quick compile, no linking"/>
        <Button4 Name="Compile project/program"/>
        <Button5 Name="compUnitPkgBtnCmd"/>
        <Button6 Name="---------------"/>
        <Button7 Name="Build Lazarus"/>
        <Button8 Name="---------------"/>
        <Button9 Name="Jump back"/>
        <Button10 Name="Jump forward"/>
        <Button11 Name="Next Bookmark"/>
        <Button12 Name="Previous Bookmark"/>
        <Button13 Name="Set free Bookmark"/>
        <Button14 Name="---------------"/>
        <Button15 Name="Open package of current unit"/>
        <Button16 Name="---------------"/>
        <Button17 Name="Run program"/>
        <Button18 Name="Run without debugging"/>
        <Button19 Name="Pause program"/>
        <Button20 Name="Stop program"/>
        <Button21 Name="Step over"/>
        <Button22 Name="Step into"/>
        <Button23 Name="Step out"/>
        <Button24 Name="Run to cursor"/>
        <Button25 Name="---------------"/>
        <Button26 Name="Reset debugger"/>
        <Button27 Name="---------------"/>
        <Button28 Name="SaveAll"/>
        <Button29 Name="Save"/>
        <Button30 Name="arrIdeBtnCmd"/>
      </EditorToolBarOptions>
      <ObjectInspectorSplitterX>
        <PropertyPage Value="159"/>
        <EventPage Value="125"/>
        <FavoritePage Value="116"/>
        <RestrictedPage Value="126"/>
      </ObjectInspectorSplitterX>
      <ObjectInspectorComponentTreeHeight Value="151"/>
      <ObjectInspectorInfoBoxHeight Value="42"/>
    </Desktop1>
    <Desktop2 Name="débogage">
      <Desktop Version="2" FormIdCount="132">
        <FormIdList a1="MainIDE" a2="MessagesView" a3="CodeExplorerView" a4="FPDocEditor" a5="CallStack" a6="BreakPoints" a7="Watches" a8="ObjectInspectorDlg" a9="Threads" a10="Locals" a11="SourceNotebook" a12="DbgOutput" a13="ProjectInspector" a14="Assembler" a15="PackageEditor_LazDebuggerGdbmi" a16="PackageEditor_unites" a17="SearchResults" a18="PackageEditor_unitesIde" a19="ProjectGroupEditor" a20="PackageEditor_TortoiseSVN" a21="EditorFileManager" a22="PackageEditor_lazsvnpkg" a23="PkgGraphExplorer" a24="CodeBrowser" a25="PackageEditor_LCL" a26="PackageEditor_LCLBase" a27="DbgHistory" a28="DbgEvents" a29="AnchorEditor" a30="PackageEditor_TestPkg" a31="PackageEditor_DropFileWin7" a32="PackageEditor_lazprojectgroups" a33="PackageEditor_LazUtils" a34="PackageEditor_ideMacros" a35="EvaluateModify" a36="PackageEditor_DbugPkg" a37="ComponentList" a38="IDETodoWindow" a39="PackageEditor_Compatibilite" a40="PackageEditor_JclVcl" a41="PackageEditor_Jcl" a42="PackageEditor_LazControls" a43="PackageEditor_LazActiveX" a44="PackageEditor_DebuggerPersoGdb" a45="PackageEditor_JediAPI" a46="IssueBrowser" a47="PackageEditor_rx" a48="PackageEditor_ChmHelpPkg" a49="PackageEditor_DBFLaz" a50="PackageEditor_EditorMacroScript" a51="PackageEditor_fpcunitide" a52="PackageEditor_H2PasWizard" a53="PackageEditor_InstantFPCLaz" a54="PackageEditor_jcfidelazarus" a55="PackageEditor_LazControlDsgn" a56="PackageEditor_MemDSLaz" a57="PackageEditor_printers4lazide" a58="PackageEditor_ProjTemplates" a59="PackageEditor_RunTimeTypeInfoControls" a60="PackageEditor_TAChartLazarusPkg" a61="PackageEditor_ToDoListLaz" a62="PackageEditor_lazdatadict" a63="PackageEditor_lazdbexport" a64="PackageEditor_IDEIntf" a65="PseudoTerminal" a66="Registers" a67="Inspect" a68="UnitDependencies" a69="ClipBrdHistory" a70="TabOrderEditor" a71="JumpHistory" a72="PackageEditor_DateTimeCtrls" a73="PackageEditor_lazreport" a74="AnchorDockSite8" a75="PackageEditor_LazDebuggerFpGdbmi" a76="PackageEditor_Printer4Lazarus" a77="PackageEditor_LazOpenGLContext" a78="PackageEditor_MultiThreadProcsLaz" a79="PackageEditor_WMPLib_1_0_TLBP" a80="PackageEditor_SynEditDsgn" a81="PackageEditor_TurboPowerIPro" a82="PackageEditor_cairocanvas_pkg" a83="TabOrderDialog" a84="PackageEditor_ImagesForLazarus" a85="PackageEditor_PrettyMessages" a86="EditorFileManagerForm" a87="PackageEditor_rtl" a88="PackageEditor_JCL1101" a89="PackageEditor_ExternHelp2" a90="PackageEditor_AnchorDocking" a91="PackageEditor_test" a92="PackageEditor_SynEdit" a93="PackageEditor_FCL" a94="PackageEditor_IdeAideHLP" a95="PackageEditor_JCL101" a96="PackageEditor_ExternHelp" a97="PackageEditor_DebugerDsgn" a98="PackageEditor_ide" a99="PackageEditor_CodeTools" a100="FloatingSite" a101="FloatingSite_1" a102="PackageEditor_Cody" a103="PackageEditor_______" a104="PackageEditor_JumpToImplementation" a105="PackageEditor_JCL" a106="PackageEditor_NouveauPaquet" a107="MacroListView" a108="UnitDependenciesWindow" a109="PackageEditor_lhelpcontrolpkg" a110="PackageEditor_pascalscript" a111="PackageEditor_editortoolbar" a112="PackageEditor_leakview" a113="PackageEditor_weblaz" a114="SourceNotebook2" a115="PackageEditor_TestVariant" a116="PackageEditor_SDFLaz" a117="PackageEditor_AddonIde" a118="PackageEditor_Test" a119="PackageEditor_fpdebug" a120="PackageEditor_DebuggerIntf" a121="AnchorDockSite1" a122="PackageEditor_Nouveau_paquet" a123="PackageEditor_monLFMFormat" a124="PackageEditor_AXVLC_1_0_TLBP" a125="PackageEditor_FPCUnitTestRunner" a126="PackageEditor_sqlitelaz" a127="PackageEditor_sqlite3laz" a128="PackageEditor_SQLDBLaz" a129="PackageEditor_customdrawn" a130="PackageEditor_LazWiki" a131="PackageEditor_gtk2forLazarus" a132="PackageEditor_TurboPowerIProDsgn"/>
      </Desktop>
      <MainIDE>
        <Caption Value="MainIDE"/>
        <CustomPosition Left="-8" Top="-8" Width="1020" Height="78"/>
        <WindowState Value="Maximized"/>
        <Visible Value="True"/>
      </MainIDE>
      <MessagesView>
        <Caption Value="MessagesView"/>
        <CustomPosition Left="276" Top="592" Width="739" Height="148"/>
        <Visible Value="True"/>
      </MessagesView>
      <CodeExplorerView>
        <Caption Value="CodeExplorerView"/>
        <CustomPosition Top="100" Width="267" Height="640"/>
        <Visible Value="True"/>
      </CodeExplorerView>
      <FPDocEditor>
        <Caption Value="FPDocEditor"/>
        <CustomPosition Left="276" Top="592" Width="739" Height="148"/>
        <Visible Value="True"/>
      </FPDocEditor>
      <CallStack>
        <Caption Value="CallStack"/>
        <CustomPosition Left="16" Top="430" Width="959" Height="304"/>
        <Visible Value="True"/>
        <Divider Count="3">
          <Item0 ID="ColumnCStackLine" Size="88"/>
          <Item1 ID="ColumnCStackSource" Size="206"/>
          <Item2 ID="ColumnCStackFunc" Size="540"/>
        </Divider>
      </CallStack>
      <BreakPoints>
        <Caption Value="BreakPoints"/>
        <CustomPosition Left="276" Top="592" Width="739" Height="148"/>
        <Visible Value="True"/>
        <Divider Count="6">
          <Item0 ID="ColumnBreakLine" Size="103"/>
          <Item1 ID="ColumnBreakCondition" Size="116"/>
          <Item2 ID="ColumnBreakAction" Size="153"/>
          <Item3 ID="ColumnBreakPassCnt" Size="121"/>
          <Item4 ID="ColumnBreakState" Size="79"/>
          <Item5 ID="ColumnBreakFile" Size="342"/>
        </Divider>
      </BreakPoints>
      <Watches>
        <Caption Value="Watches"/>
        <CustomPosition Left="276" Top="592" Width="739" Height="148"/>
        <Visible Value="True"/>
        <Divider Count="3">
          <Item0 ID="SplitterWatchInspect" Size="438"/>
          <Item1 ID="ColumnWatchValue" Size="862"/>
          <Item2 ID="ColumnWatchExpr" Size="127"/>
        </Divider>
      </Watches>
      <ObjectInspectorDlg>
        <Caption Value="ObjectInspectorDlg"/>
        <CustomPosition Top="100" Width="267" Height="640"/>
        <Visible Value="True"/>
      </ObjectInspectorDlg>
      <Threads>
        <Caption Value="Threads"/>
        <CustomPosition Left="24" Top="535" Width="809" Height="189"/>
        <Visible Value="True"/>
        <Divider Count="3">
          <Item0 ID="ColumnThreadName" Size="149"/>
          <Item1 ID="ColumnThreadState" Size="109"/>
          <Item2 ID="ColumnThreadBrkPoint" Size="0"/>
        </Divider>
      </Threads>
      <Locals>
        <Caption Value="Locals"/>
        <CustomPosition Left="1" Top="533" Width="263" Height="202"/>
        <Visible Value="True"/>
        <Divider Count="2">
          <Item0 ID="LocalsValue" Size="256"/>
          <Item1 ID="LocalsName" Size="196"/>
        </Divider>
      </Locals>
      <SourceNotebook>
        <Caption Value="SourceNotebook"/>
        <CustomPosition Left="276" Top="100" Width="739" Height="464"/>
      </SourceNotebook>
      <DbgOutput>
        <Caption Value="DbgOutput"/>
        <CustomPosition Left="128" Top="194" Width="668" Height="482"/>
      </DbgOutput>
      <ProjectInspector>
        <Caption Value="ProjectInspector"/>
        <CustomPosition Left="61" Top="324" Width="442" Height="304"/>
      </ProjectInspector>
      <Assembler>
        <Caption Value="Assembler"/>
        <CustomPosition Left="15" Top="371" Width="706" Height="340"/>
      </Assembler>
      <PackageEditor_LazDebuggerGdbmi>
        <Caption Value="PackageEditor_LazDebuggerGdbmi"/>
        <CustomPosition Left="114" Top="161" Width="544" Height="496"/>
      </PackageEditor_LazDebuggerGdbmi>
      <PackageEditor_unites>
        <Caption Value="PackageEditor_unites"/>
        <CustomPosition Left="72" Top="90" Width="638" Height="482"/>
      </PackageEditor_unites>
      <SearchResults>
        <Caption Value="SearchResults"/>
        <CustomPosition Left="102" Top="180" Width="752" Height="518"/>
      </SearchResults>
      <PackageEditor_unitesIde>
        <Caption Value="PackageEditor_unitesIde"/>
        <CustomPosition Left="78" Top="134" Width="464" Height="455"/>
      </PackageEditor_unitesIde>
      <ProjectGroupEditor>
        <Caption Value="ProjectGroupEditor"/>
        <CustomPosition Left="61" Top="257" Width="514" Height="361"/>
      </ProjectGroupEditor>
      <PackageEditor_TortoiseSVN>
        <Caption Value="PackageEditor_TortoiseSVN"/>
        <CustomPosition Left="23" Top="157" Width="556" Height="457"/>
      </PackageEditor_TortoiseSVN>
      <EditorFileManager>
        <Caption Value="EditorFileManager"/>
        <CustomPosition Left="200" Top="200" Width="722" Height="380"/>
      </EditorFileManager>
      <PackageEditor_lazsvnpkg>
        <Caption Value="PackageEditor_lazsvnpkg"/>
        <CustomPosition Left="239" Top="115" Width="545" Height="537"/>
      </PackageEditor_lazsvnpkg>
      <PkgGraphExplorer>
        <Caption Value="PkgGraphExplorer"/>
        <CustomPosition Left="11" Top="33" Width="873" Height="680"/>
        <WindowState Value="Maximized"/>
      </PkgGraphExplorer>
      <CodeBrowser>
        <Caption Value="CodeBrowser"/>
        <CustomPosition Left="18" Top="174" Width="637" Height="500"/>
      </CodeBrowser>
      <PackageEditor_LCL>
        <Caption Value="PackageEditor_LCL"/>
        <CustomPosition Left="56" Top="143" Width="712" Height="418"/>
      </PackageEditor_LCL>
      <PackageEditor_LCLBase>
        <Caption Value="PackageEditor_LCLBase"/>
        <CustomPosition Left="42" Top="58" Width="558" Height="572"/>
      </PackageEditor_LCLBase>
      <DbgHistory>
        <Caption Value="DbgHistory"/>
        <CustomPosition Left="6" Top="561" Width="797" Height="169"/>
        <Divider Count="3">
          <Item0 ID="HistoryColLocation" Size="350"/>
          <Item1 ID="HistoryColTime" Size="0"/>
          <Item2 ID="HistoryColCur" Size="0"/>
        </Divider>
      </DbgHistory>
      <DbgEvents>
        <Caption Value="DbgEvents"/>
        <CustomPosition Left="3" Top="500" Width="656" Height="207"/>
      </DbgEvents>
      <AnchorEditor>
        <Caption Value="AnchorEditor"/>
        <CustomPosition Left="406" Top="340" Width="476" Height="282"/>
      </AnchorEditor>
      <PackageEditor_TestPkg>
        <Caption Value="PackageEditor_TestPkg"/>
        <CustomPosition Left="67" Top="177" Width="464" Height="455"/>
      </PackageEditor_TestPkg>
      <PackageEditor_DropFileWin7>
        <Caption Value="PackageEditor_DropFileWin7"/>
        <CustomPosition Left="42" Top="92" Width="607" Height="503"/>
      </PackageEditor_DropFileWin7>
      <PackageEditor_lazprojectgroups>
        <Caption Value="PackageEditor_lazprojectgroups"/>
        <CustomPosition Left="16" Top="233" Width="464" Height="455"/>
      </PackageEditor_lazprojectgroups>
      <PackageEditor_LazUtils>
        <Caption Value="PackageEditor_LazUtils"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_LazUtils>
      <PackageEditor_ideMacros>
        <Caption Value="PackageEditor_ideMacros"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_ideMacros>
      <EvaluateModify>
        <Caption Value="EvaluateModify"/>
        <CustomPosition Left="199" Top="161" Width="602" Height="463"/>
      </EvaluateModify>
      <PackageEditor_DbugPkg>
        <Caption Value="PackageEditor_DbugPkg"/>
        <CustomPosition Left="78" Top="156" Width="592" Height="522"/>
      </PackageEditor_DbugPkg>
      <ComponentList>
        <Caption Value="ComponentList"/>
        <CustomPosition Left="256" Top="95" Width="512" Height="578"/>
      </ComponentList>
      <IDETodoWindow>
        <Caption Value="IDETodoWindow"/>
        <CustomPosition Left="152" Top="186" Width="719" Height="396"/>
      </IDETodoWindow>
      <PackageEditor_Compatibilite>
        <Caption Value="PackageEditor_Compatibilite"/>
        <CustomPosition Left="80" Top="143" Width="451" Height="455"/>
      </PackageEditor_Compatibilite>
      <PackageEditor_JclVcl>
        <Caption Value="PackageEditor_JclVcl"/>
        <CustomPosition Left="129" Top="131" Width="564" Height="460"/>
      </PackageEditor_JclVcl>
      <PackageEditor_Jcl>
        <Caption Value="PackageEditor_Jcl"/>
        <CustomPosition Left="29" Top="75" Width="554" Height="433"/>
      </PackageEditor_Jcl>
      <PackageEditor_LazControls>
        <Caption Value="PackageEditor_LazControls"/>
        <CustomPosition Left="92" Top="208" Width="451" Height="455"/>
      </PackageEditor_LazControls>
      <PackageEditor_LazActiveX>
        <Caption Value="PackageEditor_LazActiveX"/>
        <CustomPosition Left="51" Top="194" Width="464" Height="455"/>
      </PackageEditor_LazActiveX>
      <PackageEditor_DebuggerPersoGdb>
        <Caption Value="PackageEditor_DebuggerPersoGdb"/>
        <CustomPosition Left="172" Top="159" Width="497" Height="456"/>
      </PackageEditor_DebuggerPersoGdb>
      <PackageEditor_JediAPI>
        <Caption Value="PackageEditor_JediAPI"/>
        <CustomPosition Left="286" Top="156" Width="566" Height="483"/>
      </PackageEditor_JediAPI>
      <IssueBrowser>
        <Caption Value="IssueBrowser"/>
        <CustomPosition Left="321" Top="269" Width="661" Height="405"/>
      </IssueBrowser>
      <PackageEditor_rx>
        <Caption Value="PackageEditor_rx"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_rx>
      <PackageEditor_ChmHelpPkg>
        <Caption Value="PackageEditor_ChmHelpPkg"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_ChmHelpPkg>
      <PackageEditor_DBFLaz>
        <Caption Value="PackageEditor_DBFLaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_DBFLaz>
      <PackageEditor_EditorMacroScript>
        <Caption Value="PackageEditor_EditorMacroScript"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_EditorMacroScript>
      <PackageEditor_fpcunitide>
        <Caption Value="PackageEditor_fpcunitide"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_fpcunitide>
      <PackageEditor_H2PasWizard>
        <Caption Value="PackageEditor_H2PasWizard"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_H2PasWizard>
      <PackageEditor_InstantFPCLaz>
        <Caption Value="PackageEditor_InstantFPCLaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_InstantFPCLaz>
      <PackageEditor_jcfidelazarus>
        <Caption Value="PackageEditor_jcfidelazarus"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_jcfidelazarus>
      <PackageEditor_LazControlDsgn>
        <Caption Value="PackageEditor_LazControlDsgn"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_LazControlDsgn>
      <PackageEditor_MemDSLaz>
        <Caption Value="PackageEditor_MemDSLaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_MemDSLaz>
      <PackageEditor_printers4lazide>
        <Caption Value="PackageEditor_printers4lazide"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_printers4lazide>
      <PackageEditor_ProjTemplates>
        <Caption Value="PackageEditor_ProjTemplates"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_ProjTemplates>
      <PackageEditor_RunTimeTypeInfoControls>
        <Caption Value="PackageEditor_RunTimeTypeInfoControls"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_RunTimeTypeInfoControls>
      <PackageEditor_TAChartLazarusPkg>
        <Caption Value="PackageEditor_TAChartLazarusPkg"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_TAChartLazarusPkg>
      <PackageEditor_ToDoListLaz>
        <Caption Value="PackageEditor_ToDoListLaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_ToDoListLaz>
      <PackageEditor_lazdatadict>
        <Caption Value="PackageEditor_lazdatadict"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_lazdatadict>
      <PackageEditor_lazdbexport>
        <Caption Value="PackageEditor_lazdbexport"/>
        <CustomPosition Left="250" Top="200" Width="464" Height="455"/>
      </PackageEditor_lazdbexport>
      <PackageEditor_IDEIntf>
        <Caption Value="PackageEditor_IDEIntf"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_IDEIntf>
      <PseudoTerminal>
        <Caption Value="PseudoTerminal"/>
      </PseudoTerminal>
      <Registers>
        <Caption Value="Registers"/>
        <CustomPosition Left="8" Top="398" Width="575" Height="308"/>
        <Divider Count="2">
          <Item0 ID="RegisterValue" Size="336"/>
          <Item1 ID="RegisterName" Size="158"/>
        </Divider>
      </Registers>
      <Inspect>
        <Caption Value="Inspect"/>
        <CustomPosition Left="217" Top="97" Width="617" Height="614"/>
        <Divider Count="2">
          <Item0 ID="InspectDataValue" Size="247"/>
          <Item1 ID="InspectDataName" Size="167"/>
        </Divider>
      </Inspect>
      <UnitDependencies>
        <Caption Value="UnitDependencies"/>
        <CustomPosition Left="118" Top="213" Width="564" Height="478"/>
      </UnitDependencies>
      <ClipBrdHistory>
        <Caption Value="ClipBrdHistory"/>
      </ClipBrdHistory>
      <TabOrderEditor>
        <Caption Value="TabOrderEditor"/>
      </TabOrderEditor>
      <JumpHistory>
        <Caption Value="JumpHistory"/>
        <CustomPosition Left="165" Top="205" Width="400" Height="426"/>
      </JumpHistory>
      <PackageEditor_DateTimeCtrls>
        <Caption Value="PackageEditor_DateTimeCtrls"/>
        <CustomPosition Left="254" Top="96" Width="487" Height="556"/>
      </PackageEditor_DateTimeCtrls>
      <PackageEditor_lazreport>
        <Caption Value="PackageEditor_lazreport"/>
        <CustomPosition Left="220" Top="92" Width="584" Height="583"/>
      </PackageEditor_lazreport>
      <AnchorDockSite8>
        <Caption Value="AnchorDockSite8"/>
        <CustomPosition Left="4" Top="134" Width="257" Height="626"/>
      </AnchorDockSite8>
      <PackageEditor_LazDebuggerFpGdbmi>
        <Caption Value="PackageEditor_LazDebuggerFpGdbmi"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_LazDebuggerFpGdbmi>
      <PackageEditor_Printer4Lazarus>
        <Caption Value="PackageEditor_Printer4Lazarus"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_Printer4Lazarus>
      <PackageEditor_LazOpenGLContext>
        <Caption Value="PackageEditor_LazOpenGLContext"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_LazOpenGLContext>
      <PackageEditor_MultiThreadProcsLaz>
        <Caption Value="PackageEditor_MultiThreadProcsLaz"/>
        <CustomPosition Left="321" Top="170" Width="464" Height="455"/>
      </PackageEditor_MultiThreadProcsLaz>
      <PackageEditor_WMPLib_1_0_TLBP>
        <Caption Value="PackageEditor_WMPLib_1_0_TLBP"/>
        <CustomPosition Left="336" Top="172" Width="487" Height="483"/>
      </PackageEditor_WMPLib_1_0_TLBP>
      <PackageEditor_SynEditDsgn>
        <Caption Value="PackageEditor_SynEditDsgn"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_SynEditDsgn>
      <PackageEditor_TurboPowerIPro>
        <Caption Value="PackageEditor_TurboPowerIPro"/>
        <CustomPosition Left="173" Top="158" Width="451" Height="455"/>
      </PackageEditor_TurboPowerIPro>
      <PackageEditor_cairocanvas_pkg>
        <Caption Value="PackageEditor_cairocanvas_pkg"/>
        <CustomPosition Left="140" Top="121" Width="451" Height="455"/>
      </PackageEditor_cairocanvas_pkg>
      <TabOrderDialog>
        <Caption Value="TabOrderDialog"/>
        <CustomPosition Left="350" Top="105" Width="310" Height="266"/>
      </TabOrderDialog>
      <PackageEditor_ImagesForLazarus>
        <Caption Value="PackageEditor_ImagesForLazarus"/>
        <CustomPosition Left="151" Top="151" Width="464" Height="455"/>
      </PackageEditor_ImagesForLazarus>
      <PackageEditor_PrettyMessages>
        <Caption Value="PackageEditor_PrettyMessages"/>
        <CustomPosition Left="44" Top="231" Width="464" Height="455"/>
      </PackageEditor_PrettyMessages>
      <EditorFileManagerForm>
        <Caption Value="EditorFileManagerForm"/>
        <CustomPosition Left="74" Top="194" Width="875" Height="380"/>
      </EditorFileManagerForm>
      <PackageEditor_rtl>
        <Caption Value="PackageEditor_rtl"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_rtl>
      <PackageEditor_JCL1101>
        <Caption Value="PackageEditor_JCL1101"/>
        <CustomPosition Left="333" Top="137" Width="563" Height="489"/>
      </PackageEditor_JCL1101>
      <PackageEditor_ExternHelp2>
        <Caption Value="PackageEditor_ExternHelp2"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_ExternHelp2>
      <PackageEditor_AnchorDocking>
        <Caption Value="PackageEditor_AnchorDocking"/>
        <CustomPosition Left="157" Top="156" Width="451" Height="455"/>
      </PackageEditor_AnchorDocking>
      <PackageEditor_test>
        <Caption Value="PackageEditor_test"/>
        <CustomPosition Left="284" Top="155" Width="455" Height="458"/>
      </PackageEditor_test>
      <PackageEditor_SynEdit>
        <Caption Value="PackageEditor_SynEdit"/>
        <CustomPosition Left="323" Top="136" Width="451" Height="455"/>
      </PackageEditor_SynEdit>
      <PackageEditor_FCL>
        <Caption Value="PackageEditor_FCL"/>
        <CustomPosition Left="250" Top="101" Width="524" Height="565"/>
      </PackageEditor_FCL>
      <PackageEditor_IdeAideHLP>
        <Caption Value="PackageEditor_IdeAideHLP"/>
        <CustomPosition Left="11" Top="183" Width="464" Height="455"/>
        <WindowState Value="Minimized"/>
      </PackageEditor_IdeAideHLP>
      <PackageEditor_JCL101>
        <Caption Value="PackageEditor_JCL101"/>
        <CustomPosition Left="36" Top="96" Width="648" Height="523"/>
      </PackageEditor_JCL101>
      <PackageEditor_ExternHelp>
        <Caption Value="PackageEditor_ExternHelp"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_ExternHelp>
      <PackageEditor_DebugerDsgn>
        <Caption Value="PackageEditor_DebugerDsgn"/>
        <CustomPosition Left="103" Top="184" Width="464" Height="455"/>
      </PackageEditor_DebugerDsgn>
      <PackageEditor_ide>
        <Caption Value="PackageEditor_ide"/>
        <CustomPosition Left="168" Top="132" Width="688" Height="503"/>
      </PackageEditor_ide>
      <PackageEditor_CodeTools>
        <Caption Value="PackageEditor_CodeTools"/>
        <CustomPosition Left="284" Top="230" Width="451" Height="455"/>
      </PackageEditor_CodeTools>
      <FloatingSite>
        <Caption Value="FloatingSite"/>
        <CustomPosition Left="278" Top="112" Width="736" Height="632"/>
      </FloatingSite>
      <FloatingSite_1>
        <Caption Value="FloatingSite_1"/>
        <CustomPosition Left="-16" Top="121" Width="284" Height="635"/>
      </FloatingSite_1>
      <PackageEditor_Cody>
        <Caption Value="PackageEditor_Cody"/>
        <CustomPosition Left="84" Top="159" Width="454" Height="455"/>
      </PackageEditor_Cody>
      <PackageEditor_______>
        <Caption Value="PackageEditor_______"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_______>
      <PackageEditor_JumpToImplementation>
        <Caption Value="PackageEditor_JumpToImplementation"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_JumpToImplementation>
      <PackageEditor_JCL>
        <Caption Value="PackageEditor_JCL"/>
        <CustomPosition Left="376" Top="114" Width="576" Height="564"/>
      </PackageEditor_JCL>
      <PackageEditor_NouveauPaquet>
        <Caption Value="PackageEditor_NouveauPaquet"/>
        <CustomPosition Left="106" Top="116" Width="579" Height="443"/>
      </PackageEditor_NouveauPaquet>
      <MacroListView>
        <Caption Value="MacroListView"/>
        <CustomPosition Left="-193" Top="314" Width="463" Height="383"/>
      </MacroListView>
      <UnitDependenciesWindow>
        <Caption Value="UnitDependenciesWindow"/>
        <CustomPosition Left="117" Top="42" Width="779" Height="634"/>
      </UnitDependenciesWindow>
      <PackageEditor_lhelpcontrolpkg>
        <Caption Value="PackageEditor_lhelpcontrolpkg"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_lhelpcontrolpkg>
      <PackageEditor_pascalscript>
        <Caption Value="PackageEditor_pascalscript"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_pascalscript>
      <PackageEditor_editortoolbar>
        <Caption Value="PackageEditor_editortoolbar"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_editortoolbar>
      <PackageEditor_leakview>
        <Caption Value="PackageEditor_leakview"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_leakview>
      <PackageEditor_weblaz>
        <Caption Value="PackageEditor_weblaz"/>
        <CustomPosition Left="286" Top="156" Width="451" Height="455"/>
      </PackageEditor_weblaz>
      <SourceNotebook2>
        <Caption Value="SourceNotebook2"/>
        <CustomPosition Left="260" Top="109" Width="748" Height="477"/>
      </SourceNotebook2>
      <PackageEditor_TestVariant>
        <Caption Value="PackageEditor_TestVariant"/>
        <CustomPosition Left="284" Top="230" Width="451" Height="455"/>
      </PackageEditor_TestVariant>
      <PackageEditor_SDFLaz>
        <Caption Value="PackageEditor_SDFLaz"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_SDFLaz>
      <PackageEditor_AddonIde>
        <Caption Value="PackageEditor_AddonIde"/>
        <CustomPosition Left="69" Top="165" Width="451" Height="455"/>
      </PackageEditor_AddonIde>
      <PackageEditor_Test>
        <Caption Value="PackageEditor_Test"/>
        <CustomPosition Left="253" Top="132" Width="530" Height="529"/>
      </PackageEditor_Test>
      <PackageEditor_fpdebug>
        <Caption Value="PackageEditor_fpdebug"/>
        <CustomPosition Left="227" Top="109" Width="570" Height="550"/>
      </PackageEditor_fpdebug>
      <PackageEditor_DebuggerIntf>
        <Caption Value="PackageEditor_DebuggerIntf"/>
        <CustomPosition Left="284" Top="224" Width="451" Height="455"/>
      </PackageEditor_DebuggerIntf>
      <AnchorDockSite1>
        <Caption Value="AnchorDockSite1"/>
        <CustomPosition Left="498" Top="107" Width="771" Height="474"/>
      </AnchorDockSite1>
      <PackageEditor_Nouveau_paquet>
        <Caption Value="PackageEditor_Nouveau_paquet"/>
        <CustomPosition Left="41" Top="193" Width="451" Height="455"/>
      </PackageEditor_Nouveau_paquet>
      <PackageEditor_monLFMFormat>
        <Caption Value="PackageEditor_monLFMFormat"/>
        <CustomPosition Left="120" Top="140" Width="451" Height="455"/>
      </PackageEditor_monLFMFormat>
      <PackageEditor_AXVLC_1_0_TLBP>
        <Caption Value="PackageEditor_AXVLC_1_0_TLBP"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="477"/>
      </PackageEditor_AXVLC_1_0_TLBP>
      <PackageEditor_FPCUnitTestRunner>
        <Caption Value="PackageEditor_FPCUnitTestRunner"/>
        <CustomPosition Left="280" Top="156" Width="464" Height="455"/>
      </PackageEditor_FPCUnitTestRunner>
      <PackageEditor_sqlitelaz>
        <Caption Value="PackageEditor_sqlitelaz"/>
        <CustomPosition Left="123" Top="87" Width="491" Height="506"/>
      </PackageEditor_sqlitelaz>
      <PackageEditor_sqlite3laz>
        <Caption Value="PackageEditor_sqlite3laz"/>
        <CustomPosition Left="372" Top="154" Width="470" Height="487"/>
      </PackageEditor_sqlite3laz>
      <PackageEditor_SQLDBLaz>
        <Caption Value="PackageEditor_SQLDBLaz"/>
        <CustomPosition Left="249" Top="121" Width="526" Height="525"/>
      </PackageEditor_SQLDBLaz>
      <PackageEditor_customdrawn>
        <Caption Value="PackageEditor_customdrawn"/>
        <CustomPosition Left="250" Top="200" Width="464" Height="455"/>
      </PackageEditor_customdrawn>
      <PackageEditor_LazWiki>
        <Caption Value="PackageEditor_LazWiki"/>
        <CustomPosition Left="250" Top="200" Width="464" Height="455"/>
      </PackageEditor_LazWiki>
      <PackageEditor_gtk2forLazarus>
        <Caption Value="PackageEditor_gtk2forLazarus"/>
        <CustomPosition Left="95" Top="215" Width="579" Height="455"/>
      </PackageEditor_gtk2forLazarus>
      <PackageEditor_TurboPowerIProDsgn>
        <Caption Value="PackageEditor_TurboPowerIProDsgn"/>
        <CustomPosition Left="250" Top="200" Width="464" Height="455"/>
      </PackageEditor_TurboPowerIProDsgn>
      <Dialogs Count="35">
        <Dialog1>
          <Name Value="TLazFindInFilesDialog"/>
          <Size Width="609" Height="484"/>
        </Dialog1>
        <Dialog2>
          <Name Value="TLazFindReplaceDialog"/>
          <Size Width="487" Height="402"/>
        </Dialog2>
        <Dialog3>
          <Name Value="TConfigureBuildLazarusDlg"/>
          <Size Width="807" Height="577"/>
        </Dialog3>
        <Dialog4>
          <Name Value="TManageExamplesForm"/>
          <Size Width="885" Height="521"/>
        </Dialog4>
        <Dialog5>
          <Name Value="TIDEOptionsDialog"/>
          <Size Width="800" Height="526"/>
        </Dialog5>
        <Dialog6>
          <Name Value="TAddToProjectDialog"/>
          <Size Width="500" Height="300"/>
        </Dialog6>
        <Dialog7>
          <Name Value="TViewUnitDialog"/>
          <Size Width="499" Height="383"/>
        </Dialog7>
        <Dialog8>
          <Name Value="THelpSelectorDialog"/>
          <Size Width="825" Height="308"/>
        </Dialog8>
        <Dialog9>
          <Name Value="TAddToPackageDlg"/>
          <Size Width="627" Height="343"/>
        </Dialog9>
        <Dialog10>
          <Name Value="TShortCutDialog"/>
          <Size Width="427" Height="226"/>
        </Dialog10>
        <Dialog11>
          <Name Value="TFindRenameIdentifierDialog"/>
          <Size Width="467" Height="499"/>
        </Dialog11>
        <Dialog12>
          <Name Value="TNewOtherDialog"/>
          <Size Width="719" Height="518"/>
        </Dialog12>
        <Dialog13>
          <Name Value="TCodeTemplateDialog"/>
          <Size Width="600" Height="563"/>
        </Dialog13>
        <Dialog14>
          <Name Value="TCodeToolsDefinesEditor"/>
          <Size Width="821" Height="660"/>
        </Dialog14>
        <Dialog15>
          <Name Value="TPPUListDialog"/>
          <Size Width="862" Height="585"/>
        </Dialog15>
        <Dialog16>
          <Name Value="TPublishProjectDialog"/>
          <Size Width="500" Height="500"/>
        </Dialog16>
        <Dialog17>
          <Name Value="TCodeMacroSelectDlg"/>
          <Size Width="623" Height="431"/>
        </Dialog17>
        <Dialog18>
          <Name Value="TDiffDlg"/>
          <Size Width="833" Height="619"/>
        </Dialog18>
        <Dialog19>
          <Name Value="TEvaluateDlg"/>
          <Size Width="602" Height="463"/>
        </Dialog19>
        <Dialog20>
          <Name Value="TAddFileToAPackageDialog"/>
          <Size Width="448" Height="280"/>
        </Dialog20>
        <Dialog21>
          <Name Value="TSortSelectionDialog"/>
          <Size Width="600" Height="450"/>
        </Dialog21>
        <Dialog22>
          <Name Value="TCleanDirectoryDialog"/>
          <Size Width="381" Height="342"/>
        </Dialog22>
        <Dialog23>
          <Name Value="TCodeToolsDefinesDialog"/>
          <Size Width="654" Height="563"/>
        </Dialog23>
        <Dialog24>
          <Name Value="TIDEInspectDlg"/>
          <Size Width="617" Height="614"/>
        </Dialog24>
        <Dialog25>
          <Name Value="TSelectPropertiesForm"/>
          <Size Width="485" Height="460"/>
        </Dialog25>
        <Dialog26>
          <Name Value="TChgEncodingDialog"/>
          <Size Width="683" Height="560"/>
        </Dialog26>
        <Dialog27>
          <Name Value="TIDEFPCInfoDialog"/>
          <Size Width="786" Height="636"/>
        </Dialog27>
        <Dialog28>
          <Name Value="TIDEInfoNeedBuildDlg"/>
          <Size Width="555" Height="434"/>
        </Dialog28>
        <Dialog29>
          <Name Value="TIDEInfoDialog"/>
          <Size Width="735" Height="579"/>
        </Dialog29>
        <Dialog30>
          <Name Value="TBrokenDependenciesDialog"/>
          <Size Width="729" Height="300"/>
        </Dialog30>
        <Dialog31>
          <Name Value="TAddDirToPkgDialog"/>
          <Size Width="400" Height="366"/>
        </Dialog31>
        <Dialog32>
          <Name Value="TOpenLoadedPackagesDlg"/>
          <Size Width="450" Height="450"/>
        </Dialog32>
        <Dialog33>
          <Name Value="TExampleManagerForm"/>
          <Size Width="870" Height="591"/>
        </Dialog33>
        <Dialog34>
          <Name Value="TCheckLFMDialog"/>
          <Size Width="600" Height="400"/>
        </Dialog34>
        <Dialog35>
          <Name Value="TInstallPkgSetDialog"/>
          <Size Width="607" Height="578"/>
        </Dialog35>
      </Dialogs>
      <IDETitleStartsWithProject Value="True"/>
      <IDETitleIncludesBuildMode Value="True"/>
      <IDEProjectDirectoryInIdeTitle Value="True"/>
      <CompletionWindowWidth Value="649"/>
      <CompletionWindowHeight Value="38"/>
      <IDECoolBarOptions Count="2">
        <Width Value="263"/>
        <ToolBar1 Version="1" Count="12">
          <Button1 Name="Save"/>
          <Button2 Name="SaveAll"/>
          <Button3 Name="---------------"/>
          <Button4 Name="Toggle between Unit and Form"/>
          <Button5 Name="---------------"/>
          <Button6 Name="Manage desktops"/>
          <Button7 Name="---------------"/>
          <Button8 Name="Undo"/>
          <Button9 Name="Redo"/>
          <Button10 Name="Copy selection to clipboard"/>
          <Button11 Name="Cut selection to clipboard"/>
          <Button12 Name="Paste clipboard to current position"/>
        </ToolBar1>
        <ToolBar2 Version="1" Count="10">
          <Break Value="True"/>
          <Button1 Name="View Units"/>
          <Button2 Name="View Forms"/>
          <Button3 Name="---------------"/>
          <Button4 Name="Change build mode"/>
          <Button5 Name="Run program"/>
          <Button6 Name="Pause program"/>
          <Button7 Name="Stop program"/>
          <Button8 Name="Step over"/>
          <Button9 Name="Step into"/>
          <Button10 Name="Step out"/>
        </ToolBar2>
      </IDECoolBarOptions>
      <EditorToolBarOptions Version="1" Count="26">
        <Button1 Name="Jump to Implementation"/>
        <Button2 Name="Quick compile, no linking"/>
        <Button3 Name="Compile project/program"/>
        <Button4 Name="---------------"/>
        <Button5 Name="Jump back"/>
        <Button6 Name="Jump forward"/>
        <Button7 Name="Next Bookmark"/>
        <Button8 Name="Previous Bookmark"/>
        <Button9 Name="Set free Bookmark"/>
        <Button10 Name="---------------"/>
        <Button11 Name="Open package of current unit"/>
        <Button12 Name="---------------"/>
        <Button13 Name="Run program"/>
        <Button14 Name="Pause program"/>
        <Button15 Name="Stop program"/>
        <Button16 Name="Step over"/>
        <Button17 Name="Step into"/>
        <Button18 Name="Step out"/>
        <Button19 Name="Run to cursor"/>
        <Button20 Name="---------------"/>
        <Button21 Name="Reset debugger"/>
        <Button22 Name="---------------"/>
        <Button23 Name="SaveAll"/>
        <Button24 Name="Save"/>
        <Button25 Name="---------------"/>
        <Button26 Name="arrIdeBtnCmd"/>
      </EditorToolBarOptions>
      <ObjectInspectorSplitterX>
        <PropertyPage Value="181"/>
        <EventPage Value="125"/>
        <FavoritePage Value="116"/>
        <RestrictedPage Value="126"/>
      </ObjectInspectorSplitterX>
      <ObjectInspectorComponentTreeHeight Value="123"/>
      <ObjectInspectorInfoBoxHeight Value="135"/>
    </Desktop2>
  </Desktops>
</CONFIG>
environmentoptions.xml (90,183 bytes)   

errno

2018-05-03 17:42

reporter   ~0108130

Last edited: 2018-05-10 02:42

View 6 revisions

environmentoptions.xml added .

in the file components/synedit/syncompletion.pas .
The exception is raised in TSynBaseCompletionForm.OnHintTimer because FHint.Index equal 0 and ItemList is emtpy .

Without patch , as FHintTimer.interval=0 and FHintTimer.enable equal true by default , an event OnHintTimer is fired after a TSynBaseCompletionForm object is created. this can cause problem because ItemList can be empty at that time .

with patch : i added "FHintTimer.Enabled := False;" in the constructor TSynBaseCompletionForm.Create . this avoid to fire an event OnHintTimer too soon after a TSynBaseCompletionForm object is created .


The bug can be also reproduced as follow :
-launch lazarus
-open a project
-switch desktop

The bug comes from the use of ttimer wich is widgetset dependent . have you tryed on win 7 widgetset win32/win64 ?

errno

2018-06-09 17:00

reporter   ~0108787

Last edited: 2018-06-09 17:07

View 3 revisions

The bug does'nt happen in last release lazarus 1.8.4 .
But still happens in version trunk 58157 .

For precision : "1.8.3 (SVN)" it is in fact the trunk version .
There was no choice for trunk when i posted this ticket .

Martin Friebe

2018-06-09 17:58

manager   ~0108791

I applied the synedit patch. (It appears correct after review, independent of the rest of this issue) rev 58209

Ondrej Pokorny

2018-06-09 19:20

developer   ~0108795

Last edited: 2018-06-09 19:20

View 2 revisions

Great Martin, thanks. Feel free to assign the issue to yourself and resolve it.

Martin Friebe

2018-06-09 20:03

manager   ~0108796

@errno: Did this fix the issue?

I can see that the timer may cause an issue. But I do not see how it relates to "run" or "desktops".

Ondrej Pokorny

2018-06-09 20:10

developer   ~0108797

> But I do not see how it relates to "run" or "desktops".

Yes, that was exactly why I didn't apply the patch. I haven't found enough time to dig into the issue.

errno

2018-06-10 01:45

reporter   ~0108803

Last edited: 2018-06-10 02:17

View 7 revisions

>@errno: Did this fix the issue?
yes it did .

>But I do not see how it relates to "run" or "desktops"
rev 57672 has introduced some changes in desktop change behaviour :
When switching the desktop for the first time a TSourceEditCompletion(has for ancestor TSynBaseCompletionForm) object is created in GetDefaultSynCompletionForm(read method of property DefaultSynCompletionForm) . this cause the timer to be created because TSynBaseCompletionForm create a ttimer (FHintTimer ) for hint in his constructor.

To verify that you can just put a break point in TSynBaseCompletionForm.Create at the line of "FHintTimer.Enabled := False;" , then debug Lazarus , then open a project , then switch the desktop and look at the call stack when the debugger stops at the breakpoint.

Here is a copy of the resulting call stack :

0 TSYNBASECOMPLETIONFORM__CREATE(0x0, 0x1, <error reading variable>) at syncompletion.pas:669
1 TSYNBASECOMPLETION__CREATE(0xfdc1328, 0x0, <error reading variable>) at syncompletion.pas:1381
2 TSYNCOMPLETION__CREATE(0xfdc1328, 0x0, <error reading variable>) at syncompletion.pas:1878
3 TSOURCEEDITCOMPLETION__CREATE(0xfdc1328, 0x1, <error reading variable>) at sourceeditor.pp:2743
4 TSOURCEEDITORMANAGERBASE__GETDEFAULTCOMPLETIONFORM(<error reading variable>) at sourceeditor.pp:9273
5 TSOURCEEDITORMANAGERBASE__GETDEFAULTSYNCOMPLETIONFORM(<error reading variable>) at sourceeditor.pp:9283
6 TDESKTOPOPT__EXPORTSETTINGSTOIDE(0xfe158d0, <error reading variable>) at environmentopts.pp:1577
7 TENVIRONMENTOPTIONS__USEDESKTOP(0xfd64a90, <error reading variable>) at environmentopts.pp:3054
8 TSHOWDESKTOPSTOOLBUTTON__DOCHANGEDESKTOP(1, 0x1831e6b0) at desktopmanager.pas:224
9 TAPPLICATION__PROCESSASYNCCALLQUEUE(<error reading variable>) at .\include\application.inc:1083
10 TAPPLICATION__IDLE(true, <error reading variable>) at .\include\application.inc:398
11 TAPPLICATION__HANDLEMESSAGE(<error reading variable>) at .\include\application.inc:1283
12 TAPPLICATION__RUNLOOP(<error reading variable>) at .\include\application.inc:1419
13 TWIDGETSET__APPRUN(0x43deb0 <TAPPLICATION__RUNLOOP>, <error reading variable>) at .\include\interfacebase.inc:54
14 TAPPLICATION__RUN(<error reading variable>) at .\include\application.inc:1407
15 main at lazarus.pp:153

It also relates to "run" (debuging mode) because "run" switches the desktop .

Ondrej Pokorny

2018-06-18 12:06

developer   ~0108949

Thank you for the explanation and for the confiramtion that the issue is fixed.

Issue History

Date Modified Username Field Change
2018-04-29 11:56 errno New Issue
2018-04-29 11:56 errno File Added: ScreenShot1.png
2018-04-29 16:46 errno File Added: SynCompletion.patch
2018-04-29 16:46 errno Note Added: 0108066
2018-04-29 16:50 errno Note Edited: 0108066 View Revisions
2018-04-29 22:44 errno Note Edited: 0108066 View Revisions
2018-04-29 22:48 errno Note Edited: 0108066 View Revisions
2018-05-03 08:39 Ondrej Pokorny Assigned To => Ondrej Pokorny
2018-05-03 08:39 Ondrej Pokorny Status new => assigned
2018-05-03 08:41 Ondrej Pokorny Note Added: 0108120
2018-05-03 17:37 errno File Added: environmentoptions.xml
2018-05-03 17:42 errno Note Added: 0108130
2018-05-03 17:50 errno Note Edited: 0108130 View Revisions
2018-05-03 18:11 errno Note Edited: 0108130 View Revisions
2018-05-03 18:19 errno Note Edited: 0108130 View Revisions
2018-05-10 02:37 errno Note Edited: 0108130 View Revisions
2018-05-10 02:42 errno Note Edited: 0108130 View Revisions
2018-06-09 17:00 errno Note Added: 0108787
2018-06-09 17:00 errno Note Edited: 0108787 View Revisions
2018-06-09 17:07 errno Note Edited: 0108787 View Revisions
2018-06-09 17:58 Martin Friebe Note Added: 0108791
2018-06-09 19:20 Ondrej Pokorny Note Added: 0108795
2018-06-09 19:20 Ondrej Pokorny Note Edited: 0108795 View Revisions
2018-06-09 20:03 Martin Friebe Note Added: 0108796
2018-06-09 20:10 Ondrej Pokorny Note Added: 0108797
2018-06-10 01:45 errno Note Added: 0108803
2018-06-10 01:46 errno Note Edited: 0108803 View Revisions
2018-06-10 01:52 errno Note Edited: 0108803 View Revisions
2018-06-10 02:01 errno Note Edited: 0108803 View Revisions
2018-06-10 02:11 errno Note Edited: 0108803 View Revisions
2018-06-10 02:13 errno Note Edited: 0108803 View Revisions
2018-06-10 02:17 errno Note Edited: 0108803 View Revisions
2018-06-18 12:06 Ondrej Pokorny LazTarget => -
2018-06-18 12:06 Ondrej Pokorny Note Added: 0108949
2018-06-18 12:06 Ondrej Pokorny Status assigned => resolved
2018-06-18 12:06 Ondrej Pokorny Resolution open => fixed
2018-06-18 12:06 Ondrej Pokorny Assigned To Ondrej Pokorny => Martin Friebe
2018-06-19 10:08 errno Status resolved => closed